GNU bug report logs - #45413
Password exposure on SSH login

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Pedro J. V. Mendes" <pedro.mendes@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 45413 <at> debbugs.gnu.org and "Pedro J. V. Mendes" <pedro.mendes@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45413 <at> debbugs.gnu.org:


Received: (at 45413) by debbugs.gnu.org; 27 Jan 2021 07:03:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 27 02:03:45 2021
Received: from localhost ([127.0.0.1]:43557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l4erg-00030j-SW
	for submit <at> debbugs.gnu.org; Wed, 27 Jan 2021 02:03:45 -0500
Received: from quimby.gnus.org ([95.216.78.240]:37668)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l4erb-00030I-Qa
 for 45413 <at> debbugs.gnu.org; Wed, 27 Jan 2021 02:03:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=T8lQ+aLN6PNYqQDeAmTodTmVC5euw8KAcQD7sa/ObyQ=; b=O0Xn9oPeb6+OOWRo0p0dwwn1/Z
 hY68+Z1FU+yEXrPQA38Tx2dtvs9zRZomXPh+iKBfZRLkTze3wZTc3Q1yo9gO7VY8yUrECzeemBJEx
 O+FMlxc8ET9DkJXEQoxjFTnFKSnmyedDpI9ZJf1hh47VBv7lzniV44gw2YWJUq7GRdDw=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l4erQ-0003Jr-D0; Wed, 27 Jan 2021 08:03:32 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Pedro J. V. Mendes" <pedro.mendes@HIDDEN>
Subject: Re: bug#45413: Password exposure on SSH login
References: <1ef6190e-90eb-4746-8f45-8901d4aa9bd2@HIDDEN>
 <m1ft3uhdta.fsf@HIDDEN>
 <809655bd-59b7-16cc-1cb3-f45608315e44@HIDDEN>
 <m1y2hmayyb.fsf@HIDDEN>
 <5850c628-143a-4312-2fb1-b3c861a4d044@HIDDEN>
 <CADwFkmmnZ-r+H-QTn5AEyWQq6nanqYU2dnWm9m9mF2zyofOB6g@HIDDEN>
 <da52bfc6-0ea2-4b90-7690-6494f4f9c411@HIDDEN>
X-Now-Playing: Kevin Lazar's _Third Noise Principle (Formative North
 American Electronica 1975-1984) (1)_: "First Mutation"
Date: Wed, 27 Jan 2021 08:03:27 +0100
In-Reply-To: <da52bfc6-0ea2-4b90-7690-6494f4f9c411@HIDDEN> (Pedro
 J. V. Mendes's message of "Mon, 28 Dec 2020 10:49:21 +0000")
Message-ID: <87y2ge7tfk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  "Pedro J. V. Mendes" <pedro.mendes@HIDDEN> writes: > OK, 
 I'll try to figure it out. [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45413
Cc: 45413 <at> debbugs.gnu.org, Stefan Kangas <stefankangas@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Pedro J. V. Mendes" <pedro.mendes@HIDDEN> writes:

> OK, I'll try to figure it out.

[...]

>> Could you please report back when you find out what part of the site
>> configuration leads to this bug?  Thanks in advance.

More information was requested, but no response was given within a
month, so I'm closing this bug report.  If the problem still exists,
please respond to this email and we'll reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45413; Package emacs. Full text available.

Message received at 45413 <at> debbugs.gnu.org:


Received: (at 45413) by debbugs.gnu.org; 28 Dec 2020 10:49:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 28 05:49:31 2020
Received: from localhost ([127.0.0.1]:34294 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ktq5j-00070w-6r
	for submit <at> debbugs.gnu.org; Mon, 28 Dec 2020 05:49:31 -0500
Received: from smtp1.tecnico.ulisboa.pt ([193.136.128.21]:56098)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pedro.mendes@HIDDEN>) id 1ktq5g-00070j-Bw
 for 45413 <at> debbugs.gnu.org; Mon, 28 Dec 2020 05:49:30 -0500
Received: from localhost (localhost.localdomain [127.0.0.1])
 by smtp1.tecnico.ulisboa.pt (Postfix) with ESMTP id A7D8D60426D2;
 Mon, 28 Dec 2020 10:49:24 +0000 (WET)
X-Virus-Scanned: by amavisd-new-2.11.0 (20160426) (Debian) at
 tecnico.ulisboa.pt
Received: from smtp1.tecnico.ulisboa.pt ([127.0.0.1])
 by localhost (smtp1.tecnico.ulisboa.pt [127.0.0.1]) (amavisd-new, port 10025)
 with LMTP id NbhNqZ-ZGzCc; Mon, 28 Dec 2020 10:49:22 +0000 (WET)
Received: from mail1.tecnico.ulisboa.pt (mail1.ist.utl.pt
 [IPv6:2001:690:2100:1::b3dd:b9ac])
 by smtp1.tecnico.ulisboa.pt (Postfix) with ESMTPS id 13D0A60426BA;
 Mon, 28 Dec 2020 10:49:22 +0000 (WET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=ist.utl.pt; s=mail;
 t=1609152562; bh=FvqSENDVAtXyF/738o5FdlidHhEMW/QPVmL0CKrfW+k=;
 h=Subject:To:References:Cc:From:Date:In-Reply-To;
 b=Pg7kpb8z15z38wKQz9tF+VtS3WYzZbLWfT3YEJoy/Jxaz1A2h0wFNAANVXokcmidd
 4alOt6ZwnZSGa/y6YLjpxFdNSDVuw59GHdGK+STCvph+RmkhWOWQAcwe/2HN4GcmWD
 9q+COVmgBf+MmaMF6H+ZPNg17EoS4cz2qRHetZEg=
Received: from [192.168.1.73] (145.144.115.89.rev.vodafone.pt [89.115.144.145])
 (Authenticated sender: ist136585)
 by mail1.tecnico.ulisboa.pt (Postfix) with ESMTPSA id E51C53601FF;
 Mon, 28 Dec 2020 10:49:21 +0000 (WET)
Subject: Re: bug#45413: Password exposure on SSH login
To: Stefan Kangas <stefankangas@HIDDEN>
References: <1ef6190e-90eb-4746-8f45-8901d4aa9bd2@HIDDEN>
 <m1ft3uhdta.fsf@HIDDEN> <809655bd-59b7-16cc-1cb3-f45608315e44@HIDDEN>
 <m1y2hmayyb.fsf@HIDDEN> <5850c628-143a-4312-2fb1-b3c861a4d044@HIDDEN>
 <CADwFkmmnZ-r+H-QTn5AEyWQq6nanqYU2dnWm9m9mF2zyofOB6g@HIDDEN>
From: "Pedro J. V. Mendes" <pedro.mendes@HIDDEN>
Message-ID: <da52bfc6-0ea2-4b90-7690-6494f4f9c411@HIDDEN>
Date: Mon, 28 Dec 2020 10:49:21 +0000
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <CADwFkmmnZ-r+H-QTn5AEyWQq6nanqYU2dnWm9m9mF2zyofOB6g@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: 45413
Cc: 45413 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.2 (----)

OK, I'll try to figure it out.

On 28/12/20 07:21, Stefan Kangas wrote:
> tags 45413 + moreinfo
> thanks
>
> "Pedro J. V. Mendes" via "Bug reports for GNU Emacs, the Swiss army
> knife of text editors" <bug-gnu-emacs@HIDDEN> writes:
>
>> OK, (only) after starting with emacs -Q does the password prompt (and
>> the focus) appear at the mini-buffer.
> So it looks like we need more information here to reproduce this bug.
>
> Could you please report back when you find out what part of the site
> configuration leads to this bug?  Thanks in advance.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45413; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45413 <at> debbugs.gnu.org:


Received: (at 45413) by debbugs.gnu.org; 28 Dec 2020 07:21:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 28 02:21:22 2020
Received: from localhost ([127.0.0.1]:34111 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ktmqI-0008Mx-1Y
	for submit <at> debbugs.gnu.org; Mon, 28 Dec 2020 02:21:22 -0500
Received: from mail-pg1-f172.google.com ([209.85.215.172]:44991)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1ktmqG-0008Mk-EN
 for 45413 <at> debbugs.gnu.org; Mon, 28 Dec 2020 02:21:20 -0500
Received: by mail-pg1-f172.google.com with SMTP id p18so6852462pgm.11
 for <45413 <at> debbugs.gnu.org>; Sun, 27 Dec 2020 23:21:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:in-reply-to:references:mime-version:date:message-id:subject:to
 :cc; bh=05nRir0uqN4in9gFpSOJhmW/muoDQN2j5xQeYz2IcMw=;
 b=FRP43/01FmuCE7E89NVpWjPQB2FAOJU5fzAK7lBtEiNtJqR637dwfADln7ZgLTS8ov
 hMrlwLzkvRKta67xPvtPNfY8ALQprcEqr7uGYlLtANIELGKIKzwjd37EoQVoSDjzfWF8
 alVy2Ob6Q4NISOn2xqJGevKqNjekrsv+G5BJBHHcOYdunj12V4SFUMBmuaN0e91dOc5f
 6uRuBtVFp5InaKhrzs+qaQOYR6Pxb7JK3wqHlyu5u/BcJ0quXd+A6EDRnCWTT2A7b2KX
 pwohrB0cbp43dJEZjx4VavPoOdCowoBNQ7mDGRomLeHJY21qJwbDN0mD+CdRabZMJgbR
 bFaA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=05nRir0uqN4in9gFpSOJhmW/muoDQN2j5xQeYz2IcMw=;
 b=kuLfQXNWfuNsPD5lFcymRPV3+gnjfqW4bts8Zwg9NqSgIBD/Fxi+Yy3umVH46RPGc5
 YxkH+h7BLTugtXSWicFeMdfhbjVR0HmCcdSXBBdj88C1FqMJSjgSdLh3UzuwJK3B1Ikt
 uku4zz21n8DAUcT7nD81JgWqlR0lvweijjggbFvDKrfezhtzocYvQk+64CGzg4rk+A9J
 aHkGs+qMzbdmLDD+ZbN9wPvsGBTexbv3+kW5k65OFRrry+eOVOHCz5nkrohhxDdZFrx/
 MwpZQp0k9WwFFNEYqKiOPb3zIOWyLSE9tmFUmZLiDlNvKFAOY876yNGFgz2RlKq3GNYY
 Lvqw==
X-Gm-Message-State: AOAM5305Sxxp5x0blzRE/WlUwm3cB3EkRO3cVL3L4DSQa3xMruLujXBt
 O2Gusm1W9Tb26203o+sUasxdOBoLsQ1vD964WuM=
X-Google-Smtp-Source: ABdhPJwYJ1kWypzStxkLWV1TeJIwneyNUTsPfudRq1L667uchGFoSOAsZirP7wzPhLkDTpI9l/eozVJU2NfKq7OmvTE=
X-Received: by 2002:a05:6a00:15ca:b029:19d:9ba1:b910 with SMTP id
 o10-20020a056a0015cab029019d9ba1b910mr40245589pfu.57.1609140074633; Sun, 27
 Dec 2020 23:21:14 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Mon, 28 Dec 2020 08:21:14 +0100
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <5850c628-143a-4312-2fb1-b3c861a4d044@HIDDEN>
References: <1ef6190e-90eb-4746-8f45-8901d4aa9bd2@HIDDEN>
 <m1ft3uhdta.fsf@HIDDEN> <809655bd-59b7-16cc-1cb3-f45608315e44@HIDDEN>
 <m1y2hmayyb.fsf@HIDDEN> <5850c628-143a-4312-2fb1-b3c861a4d044@HIDDEN>
MIME-Version: 1.0
Date: Mon, 28 Dec 2020 08:21:14 +0100
Message-ID: <CADwFkmmnZ-r+H-QTn5AEyWQq6nanqYU2dnWm9m9mF2zyofOB6g@HIDDEN>
Subject: Re: bug#45413: Password exposure on SSH login
To: "Pedro J. V. Mendes" <pedro.mendes@HIDDEN>,
 =?UTF-8?Q?Daniel_Mart=C3=ADn?= <mardani29@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45413
Cc: 45413 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 45413 + moreinfo
thanks

"Pedro J. V. Mendes" via "Bug reports for GNU Emacs, the Swiss army
knife of text editors" <bug-gnu-emacs@HIDDEN> writes:

> OK, (only) after starting with emacs -Q does the password prompt (and
> the focus) appear at the mini-buffer.

So it looks like we need more information here to reproduce this bug.

Could you please report back when you find out what part of the site
configuration leads to this bug?  Thanks in advance.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45413; Package emacs. Full text available.

Message received at 45413 <at> debbugs.gnu.org:


Received: (at 45413) by debbugs.gnu.org; 25 Dec 2020 22:19:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 25 17:19:41 2020
Received: from localhost ([127.0.0.1]:58385 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ksvQz-00049U-3l
	for submit <at> debbugs.gnu.org; Fri, 25 Dec 2020 17:19:41 -0500
Received: from smtp1.tecnico.ulisboa.pt ([193.136.128.21]:48248)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pedro.mendes@HIDDEN>) id 1ksvQv-00049J-Ff
 for 45413 <at> debbugs.gnu.org; Fri, 25 Dec 2020 17:19:39 -0500
Received: from localhost (localhost.localdomain [127.0.0.1])
 by smtp1.tecnico.ulisboa.pt (Postfix) with ESMTP id 4B03D603AAE4;
 Fri, 25 Dec 2020 22:19:35 +0000 (WET)
X-Virus-Scanned: by amavisd-new-2.11.0 (20160426) (Debian) at
 tecnico.ulisboa.pt
Received: from smtp1.tecnico.ulisboa.pt ([127.0.0.1])
 by localhost (smtp1.tecnico.ulisboa.pt [127.0.0.1]) (amavisd-new, port 10025)
 with LMTP id AwhbZ2Bgc_-g; Fri, 25 Dec 2020 22:19:32 +0000 (WET)
Received: from mail1.tecnico.ulisboa.pt (mail1.ist.utl.pt [193.136.128.10])
 by smtp1.tecnico.ulisboa.pt (Postfix) with ESMTPS id 1CB90603AACB;
 Fri, 25 Dec 2020 22:19:32 +0000 (WET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=ist.utl.pt; s=mail;
 t=1608934772; bh=RZvNiDwUN0ba9cMeXK5w2hFHeg7bF8VCT+H3RzNRfAo=;
 h=Subject:To:References:Cc:From:Date:In-Reply-To;
 b=yLoPBZQqYgCfePgSUMllf3BKyBzWIAx+JpSYRSo5mQtSWf7FQzXv3thUUS0EfmMyc
 Q4jZgzGtF6WSWwKK0ZNO2I99A4TOnbqZilB8lrD+3c/uxWOc1xLq5DA3T4+5fXTq04
 WtvMQgUY6skfcoe0mB7ekzN3hnNzPNZVrpJksq7g=
Received: from [192.168.1.73] (145.144.115.89.rev.vodafone.pt [89.115.144.145])
 (Authenticated sender: ist136585)
 by mail1.tecnico.ulisboa.pt (Postfix) with ESMTPSA id F36C1360311;
 Fri, 25 Dec 2020 22:19:31 +0000 (WET)
Subject: Re: bug#45413: Password exposure on SSH login
To: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
References: <1ef6190e-90eb-4746-8f45-8901d4aa9bd2@HIDDEN>
 <m1ft3uhdta.fsf@HIDDEN> <809655bd-59b7-16cc-1cb3-f45608315e44@HIDDEN>
 <m1y2hmayyb.fsf@HIDDEN> <5850c628-143a-4312-2fb1-b3c861a4d044@HIDDEN>
 <m1wnx5r4wz.fsf@HIDDEN>
 <CALDnm52Mx5oGhiK6+76crc0cjxTtjb1=S9k=WGFPswt5YQRcTw@HIDDEN>
 <16982cdd-ca9c-4210-5a49-e30ee70d549f@HIDDEN>
 <CALDnm50gq2EmgWQF+uwrEdJdo4eGD9o7Pve7kp6shvCCuSWuSw@HIDDEN>
From: "Pedro J. V. Mendes" <pedro.mendes@HIDDEN>
Message-ID: <152a742c-2bc9-7423-b587-b4358c285d2e@HIDDEN>
Date: Fri, 25 Dec 2020 22:19:31 +0000
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <CALDnm50gq2EmgWQF+uwrEdJdo4eGD9o7Pve7kp6shvCCuSWuSw@HIDDEN>
Content-Type: multipart/alternative;
 boundary="------------DC1A0B19282234BC900FC160"
Content-Language: en-US
X-Spam-Score: -3.9 (---)
X-Debbugs-Envelope-To: 45413
Cc: 45413 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.9 (----)

This is a multi-part message in MIME format.
--------------DC1A0B19282234BC900FC160
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit

Thanks for the distinction and clarification. By thw way, I've just find 
that such issue occurs only with GUI Emacs! With Emacs running within a 
terminal (Konsole) everything works as expected, i.e. without any 
command-line arguments (oher than -nw) the prompt is transferred to the 
minibuffer.

On 25/12/20 21:59, João Távora wrote:
> I'm not 100% sure I follow, but just to underline what I said before: 
> if the system behaves as expected with -Q but not with
> lowercase -q then that clearly points to the system-wide shared 
> site-start.el file, not the user's init file.
>
> That's because '-q' inhibits the latter, but not the former.
>
> João
>
> On Fri, Dec 25, 2020, 21:46 Pedro J. V. Mendes 
> <pedro.mendes@HIDDEN <mailto:pedro.mendes@HIDDEN>> wrote:
>
>     In my system, only with―from man emacs―“
>                 -Q, --quick
>                           Similar  to  "-q --no-site-file
>     --no-splash".  Also, avoid processing X re‐
>                           sources.
>     ” is the prompt transferred to the minibuffer.
>
>     I'll check and tweak the startup configuration.
>
>     Thanks!
>
>     On 25/12/20 21:29, João Távora wrote:
>>     When I studied at that university, shared machines were a thing.
>>     I didn't know if they are still, but I'd also try with:
>>
>>     emacs -q # that's lowercase q
>>
>>     If the problem still happens, it's likely in the site-start.el ,
>>     and not in .emacs
>>
>>     https://www.gnu.org/software/emacs/manual/html_node/emacs/Init-File.html#Init-File
>>
>>     João
>>
>>     On Fri, Dec 25, 2020, 20:46 Daniel Martín via Bug reports for GNU
>>     Emacs, the Swiss army knife of text editors
>>     <bug-gnu-emacs@HIDDEN <mailto:bug-gnu-emacs@HIDDEN>> wrote:
>>
>>         "Pedro J. V. Mendes" via "Bug reports for GNU Emacs, the
>>         Swiss army
>>         knife of text editors" <bug-gnu-emacs@HIDDEN
>>         <mailto:bug-gnu-emacs@HIDDEN>> writes:
>>
>>         > OK, (only) after starting with emacs -Q does the password
>>         prompt (and
>>         > the focus) appear at the mini-buffer.
>>         >
>>
>>         Yes, that is expected.  The minibuffer prompt should hide
>>         your password
>>         with asterisks as you type it.
>>
>>         I think this may not be a bug in Emacs, but a problem
>>         somewhere in your
>>         Emacs configuration.  Comment out parts of your .emacs until
>>         you find
>>         the culprit.
>>
>>
>>

--------------DC1A0B19282234BC900FC160
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: 8bit

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  </head>
  <body>
    <p>Thanks for the distinction and clarification. By thw way, I've
      just find that such issue occurs only with GUI Emacs! With Emacs
      running within a terminal (Konsole) everything works as expected,
      i.e. without any command-line arguments (oher than -nw) the prompt
      is transferred to the minibuffer.<br>
    </p>
    <div class="moz-cite-prefix">On 25/12/20 21:59, João Távora wrote:<br>
    </div>
    <blockquote type="cite"
cite="mid:CALDnm50gq2EmgWQF+uwrEdJdo4eGD9o7Pve7kp6shvCCuSWuSw@HIDDEN">
      <meta http-equiv="content-type" content="text/html; charset=UTF-8">
      <div dir="auto">I'm not 100% sure I follow, but just to underline
        what I said before: if the system behaves as expected with -Q
        but not with
        <div dir="auto">lowercase -q then that clearly points to the
          system-wide shared site-start.el file, not the user's init
          file.</div>
        <div dir="auto"><br>
        </div>
        <div dir="auto">That's because '-q' inhibits the latter, but not
          the former.</div>
        <div dir="auto"><br>
        </div>
        <div dir="auto">João</div>
      </div>
      <br>
      <div class="gmail_quote">
        <div dir="ltr" class="gmail_attr">On Fri, Dec 25, 2020, 21:46
          Pedro J. V. Mendes &lt;<a
            href="mailto:pedro.mendes@HIDDEN" moz-do-not-send="true">pedro.mendes@HIDDEN</a>&gt;
          wrote:<br>
        </div>
        <blockquote class="gmail_quote" style="margin:0 0 0
          .8ex;border-left:1px #ccc solid;padding-left:1ex">
          <div>
            <p>In my system, only with―from <tt>man emacs</tt>―“<br>
               <tt>            -Q, --quick</tt><tt><br>
              </tt><tt>                      Similar  to  "-q
                --no-site-file --no-splash".  Also, avoid processing X
                re‐</tt><tt><br>
              </tt><tt>                      sources.</tt><tt><br>
              </tt>” is the prompt transferred to the minibuffer.</p>
            <p>I'll check and tweak the startup configuration.</p>
            <p>Thanks!<br>
            </p>
            <div>On 25/12/20 21:29, João Távora wrote:<br>
            </div>
            <blockquote type="cite">
              <div dir="auto">When I studied at that university, shared
                machines were a thing. I didn't know if they are still,
                but I'd also try with:
                <div dir="auto"><br>
                </div>
                <div dir="auto">emacs -q # that's lowercase q</div>
                <div dir="auto"><br>
                </div>
                <div dir="auto">If the problem still happens, it's
                  likely in the site-start.el , and not in .emacs</div>
                <div dir="auto"><br>
                </div>
                <div dir="auto"><a
href="https://www.gnu.org/software/emacs/manual/html_node/emacs/Init-File.html#Init-File"
                    target="_blank" rel="noreferrer"
                    moz-do-not-send="true">https://www.gnu.org/software/emacs/manual/html_node/emacs/Init-File.html#Init-File</a><br>
                </div>
                <div dir="auto"><br>
                </div>
                <div dir="auto">João</div>
              </div>
              <br>
              <div class="gmail_quote">
                <div dir="ltr" class="gmail_attr">On Fri, Dec 25, 2020,
                  20:46 Daniel Martín via Bug reports for GNU Emacs, the
                  Swiss army knife of text editors &lt;<a
                    href="mailto:bug-gnu-emacs@HIDDEN" target="_blank"
                    rel="noreferrer" moz-do-not-send="true">bug-gnu-emacs@HIDDEN</a>&gt;
                  wrote:<br>
                </div>
                <blockquote class="gmail_quote" style="margin:0 0 0
                  .8ex;border-left:1px #ccc solid;padding-left:1ex">"Pedro
                  J. V. Mendes" via "Bug reports for GNU Emacs, the
                  Swiss army<br>
                  knife of text editors" &lt;<a
                    href="mailto:bug-gnu-emacs@HIDDEN" rel="noreferrer
                    noreferrer" target="_blank" moz-do-not-send="true">bug-gnu-emacs@HIDDEN</a>&gt;
                  writes:<br>
                  <br>
                  &gt; OK, (only) after starting with emacs -Q does the
                  password prompt (and<br>
                  &gt; the focus) appear at the mini-buffer.<br>
                  &gt;<br>
                  <br>
                  Yes, that is expected.  The minibuffer prompt should
                  hide your password<br>
                  with asterisks as you type it.<br>
                  <br>
                  I think this may not be a bug in Emacs, but a problem
                  somewhere in your<br>
                  Emacs configuration.  Comment out parts of your .emacs
                  until you find<br>
                  the culprit.<br>
                  <br>
                  <br>
                  <br>
                </blockquote>
              </div>
            </blockquote>
          </div>
        </blockquote>
      </div>
    </blockquote>
  </body>
</html>

--------------DC1A0B19282234BC900FC160--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45413; Package emacs. Full text available.

Message received at 45413 <at> debbugs.gnu.org:


Received: (at 45413) by debbugs.gnu.org; 25 Dec 2020 22:00:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 25 17:00:19 2020
Received: from localhost ([127.0.0.1]:58356 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ksv8E-0001rc-Pj
	for submit <at> debbugs.gnu.org; Fri, 25 Dec 2020 17:00:19 -0500
Received: from mail-io1-f51.google.com ([209.85.166.51]:33364)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1ksv8C-0001kh-VL
 for 45413 <at> debbugs.gnu.org; Fri, 25 Dec 2020 17:00:18 -0500
Received: by mail-io1-f51.google.com with SMTP id w18so4700313iot.0
 for <45413 <at> debbugs.gnu.org>; Fri, 25 Dec 2020 14:00:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=AM/qYivemRaUnKEfOmHeTME3ox+FukPu5To+mCD3CjU=;
 b=bxJCrGSAP/eu97EFZVF2ew4JbrOMxtjiqmGARUWn8LHooD+hMc0+2ST8M2IHZBfYZm
 ad7zDNMOqu+HspkjcbBdWA2r2kNoiaIWiWs2XxESnBfSl+vvKVZjGQsZLJhZUIS4it+r
 wHhxsYSTNeDmA0UXvtAuGIKpr6AvFE1BkqgukGryf7pbiX2jlTm4WlVg5xdVbzObcN6P
 VUPBgbZ20U71qkJWejKmzMGM54+WLXVqHSGtFAH1RPMJcNebaymvIjZMK01xrRn4zmr1
 dGLQzWWWW5MarXc/opjhZTOIutI111cN23Obw/rZ7UPI/4jXyx/dwIcZsk6hFdxv3s7C
 yK5Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=AM/qYivemRaUnKEfOmHeTME3ox+FukPu5To+mCD3CjU=;
 b=GC6ksw/2bGFyxLZLeYh2DlLqsF9vALza0J6f401kLy4EMARpohPQdXdKnSAhcsgahg
 1HzzIwkNEjYQOT7lU9u9cZmFhoWXq+FZnCxYHRcBuTxaJK7yHwmfio7y0UdCaCh42xis
 lp0pxmseXogNUbZAVeHa3NwjGc9SduFbevm+2eVplYshw2fpPxQ8O4om38FD4qYxTofc
 CyQLUTnx7kJoMmq4T7IsYKhn2VYJcbs64kT45SRLC6py3sH6xfoe5zIrPXm9pZG6tqN7
 3OkQHASwcsSaQwq1o0QE8jNTZzOonswRoJiicuqAfZ4+25E/ICs3UKe6CRUJgQow0L3K
 BjRg==
X-Gm-Message-State: AOAM5338S5pRdFiabg07ZeN9+jKbwLyPiSlSNtoNRZ1CwQR01u1uCqwx
 +zSvT+Hgp020tar/X9zcgD8dInF3S0HjWC+IfAkO111F
X-Google-Smtp-Source: ABdhPJwhgUTQQBmIk2rv0OirWO3O+DjoGHYHEyfUFIBNqIRPaz/yRyE0aJXcvWzU6g1jWQNq98cD0yzkKBhATkDG/VE=
X-Received: by 2002:a02:cc54:: with SMTP id i20mr31127726jaq.136.1608933610530; 
 Fri, 25 Dec 2020 14:00:10 -0800 (PST)
MIME-Version: 1.0
References: <1ef6190e-90eb-4746-8f45-8901d4aa9bd2@HIDDEN>
 <m1ft3uhdta.fsf@HIDDEN> <809655bd-59b7-16cc-1cb3-f45608315e44@HIDDEN>
 <m1y2hmayyb.fsf@HIDDEN> <5850c628-143a-4312-2fb1-b3c861a4d044@HIDDEN>
 <m1wnx5r4wz.fsf@HIDDEN>
 <CALDnm52Mx5oGhiK6+76crc0cjxTtjb1=S9k=WGFPswt5YQRcTw@HIDDEN>
 <16982cdd-ca9c-4210-5a49-e30ee70d549f@HIDDEN>
In-Reply-To: <16982cdd-ca9c-4210-5a49-e30ee70d549f@HIDDEN>
From: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Date: Fri, 25 Dec 2020 21:59:58 +0000
Message-ID: <CALDnm50gq2EmgWQF+uwrEdJdo4eGD9o7Pve7kp6shvCCuSWuSw@HIDDEN>
Subject: Re: bug#45413: Password exposure on SSH login
To: "Pedro J. V. Mendes" <pedro.mendes@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000052aa0905b7510c6a"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45413
Cc: 45413 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000052aa0905b7510c6a
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

I'm not 100% sure I follow, but just to underline what I said before: if
the system behaves as expected with -Q but not with
lowercase -q then that clearly points to the system-wide shared
site-start.el file, not the user's init file.

That's because '-q' inhibits the latter, but not the former.

Jo=C3=A3o

On Fri, Dec 25, 2020, 21:46 Pedro J. V. Mendes <pedro.mendes@HIDDEN>
wrote:

> In my system, only with=E2=80=95from man emacs=E2=80=95=E2=80=9C
>              -Q, --quick
>                       Similar  to  "-q --no-site-file --no-splash".  Also=
,
> avoid processing X re=E2=80=90
>                       sources.
> =E2=80=9D is the prompt transferred to the minibuffer.
>
> I'll check and tweak the startup configuration.
>
> Thanks!
> On 25/12/20 21:29, Jo=C3=A3o T=C3=A1vora wrote:
>
> When I studied at that university, shared machines were a thing. I didn't
> know if they are still, but I'd also try with:
>
> emacs -q # that's lowercase q
>
> If the problem still happens, it's likely in the site-start.el , and not
> in .emacs
>
>
> https://www.gnu.org/software/emacs/manual/html_node/emacs/Init-File.html#=
Init-File
>
> Jo=C3=A3o
>
> On Fri, Dec 25, 2020, 20:46 Daniel Mart=C3=ADn via Bug reports for GNU Em=
acs,
> the Swiss army knife of text editors <bug-gnu-emacs@HIDDEN> wrote:
>
>> "Pedro J. V. Mendes" via "Bug reports for GNU Emacs, the Swiss army
>> knife of text editors" <bug-gnu-emacs@HIDDEN> writes:
>>
>> > OK, (only) after starting with emacs -Q does the password prompt (and
>> > the focus) appear at the mini-buffer.
>> >
>>
>> Yes, that is expected.  The minibuffer prompt should hide your password
>> with asterisks as you type it.
>>
>> I think this may not be a bug in Emacs, but a problem somewhere in your
>> Emacs configuration.  Comment out parts of your .emacs until you find
>> the culprit.
>>
>>
>>
>>

--00000000000052aa0905b7510c6a
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">I&#39;m not 100% sure I follow, but just to underline wha=
t I said before: if the system behaves as expected with -Q but not with<div=
 dir=3D"auto">lowercase -q then that clearly points to the system-wide shar=
ed site-start.el file, not the user&#39;s init file.</div><div dir=3D"auto"=
><br></div><div dir=3D"auto">That&#39;s because &#39;-q&#39; inhibits the l=
atter, but not the former.</div><div dir=3D"auto"><br></div><div dir=3D"aut=
o">Jo=C3=A3o</div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" cla=
ss=3D"gmail_attr">On Fri, Dec 25, 2020, 21:46 Pedro J. V. Mendes &lt;<a hre=
f=3D"mailto:pedro.mendes@HIDDEN">pedro.mendes@HIDDEN</a>&gt; wrote:=
<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;bord=
er-left:1px #ccc solid;padding-left:1ex">
 =20
   =20
 =20
  <div>
    <p>In my system, only with=E2=80=95from <tt>man emacs</tt>=E2=80=95=E2=
=80=9C<br>
      =C2=A0<tt>=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0=C2=A0 -Q, --quick</tt><tt><br>
      </tt><tt>=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 Similar=
=C2=A0 to=C2=A0 &quot;-q --no-site-file
        --no-splash&quot;.=C2=A0 Also, avoid processing X re=E2=80=90</tt><=
tt><br>
      </tt><tt>=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 sources.=
</tt><tt><br>
      </tt>=E2=80=9D is the prompt transferred to the minibuffer.</p>
    <p>I&#39;ll check and tweak the startup configuration.</p>
    <p>Thanks!<br>
    </p>
    <div>On 25/12/20 21:29, Jo=C3=A3o T=C3=A1vora wrote:<br>
    </div>
    <blockquote type=3D"cite">
     =20
      <div dir=3D"auto">When I studied at that university, shared machines
        were a thing. I didn&#39;t know if they are still, but I&#39;d also=
 try
        with:
        <div dir=3D"auto"><br>
        </div>
        <div dir=3D"auto">emacs -q # that&#39;s lowercase q</div>
        <div dir=3D"auto"><br>
        </div>
        <div dir=3D"auto">If the problem still happens, it&#39;s likely in =
the
          site-start.el , and not in .emacs</div>
        <div dir=3D"auto"><br>
        </div>
        <div dir=3D"auto"><a href=3D"https://www.gnu.org/software/emacs/man=
ual/html_node/emacs/Init-File.html#Init-File" target=3D"_blank" rel=3D"nore=
ferrer">https://www.gnu.org/software/emacs/manual/html_node/emacs/Init-File=
.html#Init-File</a><br>
        </div>
        <div dir=3D"auto"><br>
        </div>
        <div dir=3D"auto">Jo=C3=A3o</div>
      </div>
      <br>
      <div class=3D"gmail_quote">
        <div dir=3D"ltr" class=3D"gmail_attr">On Fri, Dec 25, 2020, 20:46
          Daniel Mart=C3=ADn via Bug reports for GNU Emacs, the Swiss army
          knife of text editors &lt;<a href=3D"mailto:bug-gnu-emacs@HIDDEN=
" target=3D"_blank" rel=3D"noreferrer">bug-gnu-emacs@HIDDEN</a>&gt;
          wrote:<br>
        </div>
        <blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border=
-left:1px #ccc solid;padding-left:1ex">&quot;Pedro J. V.
          Mendes&quot; via &quot;Bug reports for GNU Emacs, the Swiss army<=
br>
          knife of text editors&quot; &lt;<a href=3D"mailto:bug-gnu-emacs@g=
nu.org" rel=3D"noreferrer noreferrer" target=3D"_blank">bug-gnu-emacs@HIDDEN=
rg</a>&gt;
          writes:<br>
          <br>
          &gt; OK, (only) after starting with emacs -Q does the password
          prompt (and<br>
          &gt; the focus) appear at the mini-buffer.<br>
          &gt;<br>
          <br>
          Yes, that is expected.=C2=A0 The minibuffer prompt should hide yo=
ur
          password<br>
          with asterisks as you type it.<br>
          <br>
          I think this may not be a bug in Emacs, but a problem
          somewhere in your<br>
          Emacs configuration.=C2=A0 Comment out parts of your .emacs until
          you find<br>
          the culprit.<br>
          <br>
          <br>
          <br>
        </blockquote>
      </div>
    </blockquote>
  </div>

</blockquote></div>

--00000000000052aa0905b7510c6a--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45413; Package emacs. Full text available.

Message received at 45413 <at> debbugs.gnu.org:


Received: (at 45413) by debbugs.gnu.org; 25 Dec 2020 21:46:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 25 16:46:48 2020
Received: from localhost ([127.0.0.1]:58323 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ksuv9-0001C5-R8
	for submit <at> debbugs.gnu.org; Fri, 25 Dec 2020 16:46:48 -0500
Received: from smtp1.tecnico.ulisboa.pt ([193.136.128.21]:55878)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pedro.mendes@HIDDEN>) id 1ksuv6-0001Bq-61
 for 45413 <at> debbugs.gnu.org; Fri, 25 Dec 2020 16:46:46 -0500
Received: from localhost (localhost.localdomain [127.0.0.1])
 by smtp1.tecnico.ulisboa.pt (Postfix) with ESMTP id E350A606EC00;
 Fri, 25 Dec 2020 21:46:40 +0000 (WET)
X-Virus-Scanned: by amavisd-new-2.11.0 (20160426) (Debian) at
 tecnico.ulisboa.pt
Received: from smtp1.tecnico.ulisboa.pt ([127.0.0.1])
 by localhost (smtp1.tecnico.ulisboa.pt [127.0.0.1]) (amavisd-new, port 10025)
 with LMTP id 3Ur9P99rP-S9; Fri, 25 Dec 2020 21:46:37 +0000 (WET)
Received: from mail1.tecnico.ulisboa.pt (mail1.ist.utl.pt
 [IPv6:2001:690:2100:1::b3dd:b9ac])
 by smtp1.tecnico.ulisboa.pt (Postfix) with ESMTPS id BDC386EEC161;
 Fri, 25 Dec 2020 21:46:37 +0000 (WET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=ist.utl.pt; s=mail;
 t=1608932797; bh=RL3boI5WBKqASzwq8pUpVBgFOBNOoID4qMEl+2KdO+I=;
 h=Subject:To:References:From:Cc:Date:In-Reply-To;
 b=db4FePwpzF1BhyrNvcy8nSv97j00HfOq5fGWuxK6cHrJoDv86rKcQ1f7NCTcKm4HQ
 eYRcCzzd5io4Vjl+YeybaigrSiE7tR+CjW5hcziN5wp4PTwHt3KORfKpE2aPtTSxKv
 rl7PW5JJJwQXlKaIBCX6MFO6IWButbY2jdOz8A7Y=
Received: from [192.168.1.73] (145.144.115.89.rev.vodafone.pt [89.115.144.145])
 (Authenticated sender: ist136585)
 by mail1.tecnico.ulisboa.pt (Postfix) with ESMTPSA id 9D0C3360309;
 Fri, 25 Dec 2020 21:46:37 +0000 (WET)
Subject: Re: bug#45413: Password exposure on SSH login
To: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
References: <1ef6190e-90eb-4746-8f45-8901d4aa9bd2@HIDDEN>
 <m1ft3uhdta.fsf@HIDDEN> <809655bd-59b7-16cc-1cb3-f45608315e44@HIDDEN>
 <m1y2hmayyb.fsf@HIDDEN> <5850c628-143a-4312-2fb1-b3c861a4d044@HIDDEN>
 <m1wnx5r4wz.fsf@HIDDEN>
 <CALDnm52Mx5oGhiK6+76crc0cjxTtjb1=S9k=WGFPswt5YQRcTw@HIDDEN>
From: "Pedro J. V. Mendes" <pedro.mendes@HIDDEN>
Message-ID: <16982cdd-ca9c-4210-5a49-e30ee70d549f@HIDDEN>
Date: Fri, 25 Dec 2020 21:45:36 +0000
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <CALDnm52Mx5oGhiK6+76crc0cjxTtjb1=S9k=WGFPswt5YQRcTw@HIDDEN>
Content-Type: multipart/alternative;
 boundary="------------09AACEA8CCD0FDD3011EDC6D"
Content-Language: en-US
X-Spam-Score: -3.9 (---)
X-Debbugs-Envelope-To: 45413
Cc: 45413 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.9 (----)

This is a multi-part message in MIME format.
--------------09AACEA8CCD0FDD3011EDC6D
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit

In my system, only with―from man emacs―“
             -Q, --quick
                       Similar  to  "-q --no-site-file --no-splash".  
Also, avoid processing X re‐
                       sources.
” is the prompt transferred to the minibuffer.

I'll check and tweak the startup configuration.

Thanks!

On 25/12/20 21:29, João Távora wrote:
> When I studied at that university, shared machines were a thing. I 
> didn't know if they are still, but I'd also try with:
>
> emacs -q # that's lowercase q
>
> If the problem still happens, it's likely in the site-start.el , and 
> not in .emacs
>
> https://www.gnu.org/software/emacs/manual/html_node/emacs/Init-File.html#Init-File
>
> João
>
> On Fri, Dec 25, 2020, 20:46 Daniel Martín via Bug reports for GNU 
> Emacs, the Swiss army knife of text editors <bug-gnu-emacs@HIDDEN 
> <mailto:bug-gnu-emacs@HIDDEN>> wrote:
>
>     "Pedro J. V. Mendes" via "Bug reports for GNU Emacs, the Swiss army
>     knife of text editors" <bug-gnu-emacs@HIDDEN
>     <mailto:bug-gnu-emacs@HIDDEN>> writes:
>
>     > OK, (only) after starting with emacs -Q does the password prompt
>     (and
>     > the focus) appear at the mini-buffer.
>     >
>
>     Yes, that is expected.  The minibuffer prompt should hide your
>     password
>     with asterisks as you type it.
>
>     I think this may not be a bug in Emacs, but a problem somewhere in
>     your
>     Emacs configuration.  Comment out parts of your .emacs until you find
>     the culprit.
>
>
>

--------------09AACEA8CCD0FDD3011EDC6D
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: 8bit

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  </head>
  <body>
    <p>In my system, only with―from <tt>man emacs</tt>―“<br>
       <tt>            -Q, --quick</tt><tt><br>
      </tt><tt>                      Similar  to  "-q --no-site-file
        --no-splash".  Also, avoid processing X re‐</tt><tt><br>
      </tt><tt>                      sources.</tt><tt><br>
      </tt>” is the prompt transferred to the minibuffer.</p>
    <p>I'll check and tweak the startup configuration.</p>
    <p>Thanks!<br>
    </p>
    <div class="moz-cite-prefix">On 25/12/20 21:29, João Távora wrote:<br>
    </div>
    <blockquote type="cite"
cite="mid:CALDnm52Mx5oGhiK6+76crc0cjxTtjb1=S9k=WGFPswt5YQRcTw@HIDDEN">
      <meta http-equiv="content-type" content="text/html; charset=UTF-8">
      <div dir="auto">When I studied at that university, shared machines
        were a thing. I didn't know if they are still, but I'd also try
        with:
        <div dir="auto"><br>
        </div>
        <div dir="auto">emacs -q # that's lowercase q</div>
        <div dir="auto"><br>
        </div>
        <div dir="auto">If the problem still happens, it's likely in the
          site-start.el , and not in .emacs</div>
        <div dir="auto"><br>
        </div>
        <div dir="auto"><a
href="https://www.gnu.org/software/emacs/manual/html_node/emacs/Init-File.html#Init-File"
            moz-do-not-send="true">https://www.gnu.org/software/emacs/manual/html_node/emacs/Init-File.html#Init-File</a><br>
        </div>
        <div dir="auto"><br>
        </div>
        <div dir="auto">João</div>
      </div>
      <br>
      <div class="gmail_quote">
        <div dir="ltr" class="gmail_attr">On Fri, Dec 25, 2020, 20:46
          Daniel Martín via Bug reports for GNU Emacs, the Swiss army
          knife of text editors &lt;<a
            href="mailto:bug-gnu-emacs@HIDDEN" moz-do-not-send="true">bug-gnu-emacs@HIDDEN</a>&gt;
          wrote:<br>
        </div>
        <blockquote class="gmail_quote" style="margin:0 0 0
          .8ex;border-left:1px #ccc solid;padding-left:1ex">"Pedro J. V.
          Mendes" via "Bug reports for GNU Emacs, the Swiss army<br>
          knife of text editors" &lt;<a
            href="mailto:bug-gnu-emacs@HIDDEN" target="_blank"
            rel="noreferrer" moz-do-not-send="true">bug-gnu-emacs@HIDDEN</a>&gt;
          writes:<br>
          <br>
          &gt; OK, (only) after starting with emacs -Q does the password
          prompt (and<br>
          &gt; the focus) appear at the mini-buffer.<br>
          &gt;<br>
          <br>
          Yes, that is expected.  The minibuffer prompt should hide your
          password<br>
          with asterisks as you type it.<br>
          <br>
          I think this may not be a bug in Emacs, but a problem
          somewhere in your<br>
          Emacs configuration.  Comment out parts of your .emacs until
          you find<br>
          the culprit.<br>
          <br>
          <br>
          <br>
        </blockquote>
      </div>
    </blockquote>
  </body>
</html>

--------------09AACEA8CCD0FDD3011EDC6D--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45413; Package emacs. Full text available.

Message received at 45413 <at> debbugs.gnu.org:


Received: (at 45413) by debbugs.gnu.org; 25 Dec 2020 21:29:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 25 16:29:29 2020
Received: from localhost ([127.0.0.1]:58302 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ksueP-0000gq-8E
	for submit <at> debbugs.gnu.org; Fri, 25 Dec 2020 16:29:29 -0500
Received: from mail-il1-f174.google.com ([209.85.166.174]:35711)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1ksueN-0000gb-PE
 for 45413 <at> debbugs.gnu.org; Fri, 25 Dec 2020 16:29:28 -0500
Received: by mail-il1-f174.google.com with SMTP id t9so4708860ilf.2
 for <45413 <at> debbugs.gnu.org>; Fri, 25 Dec 2020 13:29:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=yUGq4sn9c8hTIDQWGpQ1HgAvL97P6nOVe/9Ig9SBCwE=;
 b=EKmva/ETKxxQCYpP/G214JJA0TgAxaPmBmrlEpqum7iPwRo0+xJBErxE0OljlFDfij
 Q3NwVUyJPRbtiqW7I7PEvRUORZFMJ43vRukshvncPov+pAp6O3w37k/06/7TtkWkqfoQ
 hN9H7NmVzIL3pEiiYlrE8GPKp+mwZENgOpYl+5lyPiLbh378P2lzfSligt9DV2EI49O7
 k9Jg4kn8DHmVmj9NCwmERyoBJ/ei5EwEeAz2XTJZN0h5oMwYzs/uIifWzwyF/0jCTieO
 lP5sWX6MWW5zpnEDck3IAuMma3zPMyXB9xkH9Fx2EdutAhRj8VSpvve7q7TlKGqHVlIG
 604Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=yUGq4sn9c8hTIDQWGpQ1HgAvL97P6nOVe/9Ig9SBCwE=;
 b=e/fscl8NZqjJZRzhItVuZdjCMV5wk3ZGm1Wm+O/u07VtIGfaIQ8POnnuKDnPAYqzD7
 FvXLm3MBXJ+PLR7+5f1WY2A/YTIhJx2nmKrSlfrR64clz2DmMgXoih4yyrg1drcdvpTG
 PedgTh5jIxHOR4a1SbOpzM798J/NgDJzZ+6p5+XKG83lO/zDnrdcAK4/rjkmkW+pJ/ol
 xg1zQUaHSllWDdIAXVhTNmXSTjKR5DfaHAUTtJjOoZVQ3ETUDAYpIE7FC4rt322VGezP
 vYuIIa5Oq63dsq1Ejfe6+D5dE8fH2nYpWekesHzQ6L+A6GpKl+QVJhJOEWEHi9VnfOIu
 vhfg==
X-Gm-Message-State: AOAM531dSD/CrLiCkeLG6zEeCUT6FD5qPxQ75XrQYP9JezNKDGwB7GT6
 XE4hJXldJ77Fj9BsC86GbY6JE7u8NCHqyHB8ycs=
X-Google-Smtp-Source: ABdhPJx8q9BZnHOgvwbxJC0Cw9hRvvrCX6kMKYTXzc3IK03EQ8rwiQH3Tx55Qa6aE2xgHhir/r5NZnxCLpyGmvqg+pc=
X-Received: by 2002:a92:c682:: with SMTP id o2mr34378779ilg.97.1608931762080; 
 Fri, 25 Dec 2020 13:29:22 -0800 (PST)
MIME-Version: 1.0
References: <1ef6190e-90eb-4746-8f45-8901d4aa9bd2@HIDDEN>
 <m1ft3uhdta.fsf@HIDDEN> <809655bd-59b7-16cc-1cb3-f45608315e44@HIDDEN>
 <m1y2hmayyb.fsf@HIDDEN> <5850c628-143a-4312-2fb1-b3c861a4d044@HIDDEN>
 <m1wnx5r4wz.fsf@HIDDEN>
In-Reply-To: <m1wnx5r4wz.fsf@HIDDEN>
From: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Date: Fri, 25 Dec 2020 21:29:09 +0000
Message-ID: <CALDnm52Mx5oGhiK6+76crc0cjxTtjb1=S9k=WGFPswt5YQRcTw@HIDDEN>
Subject: Re: bug#45413: Password exposure on SSH login
To: =?UTF-8?Q?Daniel_Mart=C3=ADn?= <mardani29@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000002590df05b7509eef"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45413
Cc: 45413 <at> debbugs.gnu.org, pedro.mendes@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000002590df05b7509eef
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

When I studied at that university, shared machines were a thing. I didn't
know if they are still, but I'd also try with:

emacs -q # that's lowercase q

If the problem still happens, it's likely in the site-start.el , and not in
.emacs

https://www.gnu.org/software/emacs/manual/html_node/emacs/Init-File.html#In=
it-File

Jo=C3=A3o

On Fri, Dec 25, 2020, 20:46 Daniel Mart=C3=ADn via Bug reports for GNU Emac=
s,
the Swiss army knife of text editors <bug-gnu-emacs@HIDDEN> wrote:

> "Pedro J. V. Mendes" via "Bug reports for GNU Emacs, the Swiss army
> knife of text editors" <bug-gnu-emacs@HIDDEN> writes:
>
> > OK, (only) after starting with emacs -Q does the password prompt (and
> > the focus) appear at the mini-buffer.
> >
>
> Yes, that is expected.  The minibuffer prompt should hide your password
> with asterisks as you type it.
>
> I think this may not be a bug in Emacs, but a problem somewhere in your
> Emacs configuration.  Comment out parts of your .emacs until you find
> the culprit.
>
>
>
>

--0000000000002590df05b7509eef
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">When I studied at that university, shared machines were a=
 thing. I didn&#39;t know if they are still, but I&#39;d also try with:<div=
 dir=3D"auto"><br></div><div dir=3D"auto">emacs -q # that&#39;s lowercase q=
</div><div dir=3D"auto"><br></div><div dir=3D"auto">If the problem still ha=
ppens, it&#39;s likely in the site-start.el , and not in .emacs</div><div d=
ir=3D"auto"><br></div><div dir=3D"auto"><a href=3D"https://www.gnu.org/soft=
ware/emacs/manual/html_node/emacs/Init-File.html#Init-File">https://www.gnu=
.org/software/emacs/manual/html_node/emacs/Init-File.html#Init-File</a><br>=
</div><div dir=3D"auto"><br></div><div dir=3D"auto">Jo=C3=A3o</div></div><b=
r><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Fri, =
Dec 25, 2020, 20:46 Daniel Mart=C3=ADn via Bug reports for GNU Emacs, the S=
wiss army knife of text editors &lt;<a href=3D"mailto:bug-gnu-emacs@HIDDEN=
">bug-gnu-emacs@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_=
quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1=
ex">&quot;Pedro J. V. Mendes&quot; via &quot;Bug reports for GNU Emacs, the=
 Swiss army<br>
knife of text editors&quot; &lt;<a href=3D"mailto:bug-gnu-emacs@HIDDEN" ta=
rget=3D"_blank" rel=3D"noreferrer">bug-gnu-emacs@HIDDEN</a>&gt; writes:<br=
>
<br>
&gt; OK, (only) after starting with emacs -Q does the password prompt (and<=
br>
&gt; the focus) appear at the mini-buffer.<br>
&gt;<br>
<br>
Yes, that is expected.=C2=A0 The minibuffer prompt should hide your passwor=
d<br>
with asterisks as you type it.<br>
<br>
I think this may not be a bug in Emacs, but a problem somewhere in your<br>
Emacs configuration.=C2=A0 Comment out parts of your .emacs until you find<=
br>
the culprit.<br>
<br>
<br>
<br>
</blockquote></div>

--0000000000002590df05b7509eef--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45413; Package emacs. Full text available.

Message received at 45413 <at> debbugs.gnu.org:


Received: (at 45413) by debbugs.gnu.org; 25 Dec 2020 20:45:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 25 15:45:28 2020
Received: from localhost ([127.0.0.1]:58246 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kstxo-00081d-Bl
	for submit <at> debbugs.gnu.org; Fri, 25 Dec 2020 15:45:28 -0500
Received: from sonic304-23.consmr.mail.ir2.yahoo.com ([77.238.179.148]:44325)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mardani29@HIDDEN>) id 1kstxm-00081N-My
 for 45413 <at> debbugs.gnu.org; Fri, 25 Dec 2020 15:45:27 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.es; s=s2048;
 t=1608929119; bh=mBXDRcIo3kgV3TlV9ntSshut5InDsAIWMlf/8HgSqrg=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject;
 b=rZKTefzaUBlXtmN18+PQmCwd0NizdcDfCzLDsXaDuEapxEUzgiqNp+V2deb8SyxWCs0j5+85TeSDkOrp9w+YOxM/UVTkOyZiH7V6cWSMo+VnF6cWZdBo5gGtwq8PvcVv7HTA8UGhXxD1XJsC4VrEANFr7Y+pYaKV4+43ZtaLfuiYXiKHwXg0ypVMYTgP36t3LXe2GWUI7JOBPLnv7rKup7Zpj98seBZuw7Xx4jtQ+vquKcOAugTjpw4tCU3kBeoM+U/rlx3vj6BCM4ATyRC2F0lvxPIwa0frSS9F707TVyUeG5KgGHT+X5Ewa9eT+7z+SIy9VSo2ASV1jedodz1P7A==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1608929119; bh=pBU78eIX3NiWfRdJprjc5QCBtiSFi0N7QIU9DNOROJG=;
 h=From:To:Subject:Date:From:Subject;
 b=TOtRdlHd8coMk4MwWDzDziNygb4Qnvhpt0xG+i2POPrQslMOvwKofDBvSq37cCkoeemxR7sv7IqDYHyjdmHzCsjuqdYJpc6HhmJXmg6uiVfPyNsUUMlqcwuvGDuyD7cYb3RyeKLqVqq6Yr5hkMQHEREqrExGy5oeXnysD8zZXF1lISMpDBXuE9iLvt15zhbEO20frXHg64qxCheaB4QypIwcvxesJLARyN/MAy2L6zJqiILjBGosB6KffxgEg6GW54B24xhNfBGXiiAuoVuYvpqnkh4fxJqr9b7XCeBWE7uPGln7wS2yJCQ8I9M3sagUu4QkJnw30gwsdB8khp9sEA==
X-YMail-OSG: ZMeIugwVM1mP.BErRtAtc2HNi5mzsvOidyI08D3I2.FeyMk3sEfQr9flW8Dd4Dx
 bdUPLfc4dAZum.gRHzDVs7bm7UetexiYR4M5ex7vBEMt2kiKanB8lPhdEq4gmpUJOVz3DIvJFcoG
 51QI6pZIfkOVC_.sGIGS3oGpmdHDxssAJVHOzm2MTnc6tGfJHEgVQUkfSxwrWN7VeCF8wbQl_NKp
 nWU.dIm5hJ8u1P6X_LYQRBkiLe_htEJqBcs.QYEja_HTgQy4UFAMjtdfuf_DyM5KHdWKCy5e2j0_
 6fje8_bBjAi6YCKSFRHD7b9OMsLnIxnOMrfUbFZPGUAm_cFlq94I4H2ti8n7e0WH0FnWzVpAIj20
 yMw6IIG2vOQCGZP5i_mrLBFFkii53hqRvng9mfyM8Nz5pMUuWuSqEwmLPKpK68aIIxgr4swL9HEa
 RDyOwCZW2rNdx_0Izxi894Lxfwjf8fZbsAAN2SitwI7kp09tT7J7Oxowve.adZnWcUspmDXtEX7Y
 _xdAqtTD.x3RF3PYRorDmqEQN5RuZ9a4PFNXQTfWpmVO6T3PfoF.LMc3IcvkaPt5AtjMyyfNu9Lp
 SV7vAoBcp4kmd.vcnqP7RBmM88J6UlcWcd5YXReWtw6uCeM02PUGWe8bhvcK_2lLuDiNy6AYB3dc
 Sa0gazHg49o92fRxm1xSeN_TonxLMC.u0DqgbGHJpd2qbwSdSfzycx0r7cXg7wB.QzlMC3rIN8gg
 uEdf.xH0PGb9mvqNP5iuvwunXqefahdTWLpipIvz5bdv7sEcGeNcYDJ9x3.cvaAnXvdw1tiPBqhW
 GraQQJqJhoXCXgyLwTopd3eweQZJddZOA3cJ_cwYTN17r6hby5A47nL7gQDAJFVIbZ4YGdLPBYp7
 _IzHswzDSHh_VD8CF9qeV7Vno5GP2yjIGsfSNSoqB2YT77xCKuPIahxr4XkyXM43nbuMEogrROm.
 7yb2NZ6CMjaGsdQAKg4nxWjVe9XTp7UtVsj1zcGQ.IaCWQJzPAzaO3fAWhan3TorXOTrAg9lBE8B
 P6VDyppEgHmVWYEgeczQbLd4cUf1HTj2TESu3vTNoQ941og_QbAS1sc43C.KeP727DL6xktkmAZ9
 KeQN0qZlkmTjJ_cG5AlE4oC4oxVkvygEbIQsA34VHrl57uqDtlwwL9v0u6vZd0uTGP9wRBs70MTi
 s5y3_p76MYmNbzN2LKc_scu78GG2_M8JG0._srdBTrv9Q6nM2oTqobsUBu15Y5iYepHd7tjGfg_q
 x1TGgRQ_cxgkIv1Fzkeb94GMETM8aHW0SirrhQBWa25cmWs.3l1WAOpscs7C3GDLm4rPX2qP.UJ4
 dJNfR2jfz6CCXU0.LH648jm5btC8GiP3zXop0IN3NeCycGJzL5orYb7fO1uuurhR_Tf7NsqINiT_
 EAE3o2vqPMGueG51NMTLXX.qArrUMgLsjdRpgUFd3pYGeqIlebWHnBSgbtloPRtLE2JkDCuxbdav
 3CCTORWbgCugQnkNOC1mzO_sOnUBQbvKQV.FmAp8A.ItIOUJ4_3fI5zcuu1xyNmjHYP4zdaYYN6X
 TqhdEyPZRYK02fPj1lbZeBP_h2VPn.hwO2O9u6mNA8RgTUeDW3bnXUoTtY2W9sGj8N3dVl7IvOFv
 IOWrvGBX6z3ifvanWQtOhsOz4nBFssX948k6wC..pdpE2Qwh0oB079VUMsAZDEeG0XNw3Xk91Gmp
 gRRXi0LqJIXhKgTuEi1elPRA_zI9uQ0LcCQ3Rdty1D.uw_PZ0..pS5fvazBvEFlrle1eb5emoIQF
 oWK33z5ZJZvvCprq1EGPeaeAp8fjsV2KOzOk2g5VhDybz6XsWmAjCqr5wNDUh.LG0qgI4kIG9Rc7
 vrjrTLBV2KQ93ovBbMIfAV6zD4K6qHnMrmo_hgbGdQclHsD5ZhnIn09HQtS2LtZNPa_mkByrkOVo
 dt6ELBxsXVixQbQWyvOomUw1p43EU.lkjHkQuxejoPBNSNxTv1RZwzOCdiswCL.1kAXfM3CwiqPe
 Db5pTMfB45FO0UDkIqyA9mL08AhrLfVzabavgM5ogiDAORZDlLhxyxTu0dOfmNB5myeAx2HrtseS
 4zULrcyR3BZZ8HUKhi.9qEQyrz7hn6Iu6QMBQxF8WcJpgJATABVaLRuDJ1di0jJ9N8AUSzIOHMum
 ROdxniZx_CugIYFzkLmO7inepWcZrYlyh7at2.rvHVpH6dQ7cRReQZVDhb.woXp9ErFixHOw.Ts8
 Ynz_iyRHfnvn6qjL18qzTBg0xGj2MzX.FLcQGpiZwcCDYuNf66oFiauJCbV4lk._nLzHgSoIblMi
 qkrlcbxFvuznEnxABQEn3T5kh9XW.08oY6D.vrP.e1zjon76KYdBsHvzovRL9NzKX9oLrT11ZNUJ
 GspZgKH6a9LQs0ueKffZCK21jPbsHXqpgybBLWGXuqQIdmbTJ_LLmKZd1h3kYInRMIxDcp0v_T.z
 4yunbzLRBHkIIk2IC1y3ESygHnHd5XbkGcdjMRH1nHs7HmuRE2mDYQXnO7.NMidr1UvwLn6PXo3A
 f4eAaGWNACtjAcyRYVZhpMrlaUs7GZBiVO4hg5psjhTRW
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic304.consmr.mail.ir2.yahoo.com with HTTP; Fri, 25 Dec 2020 20:45:19 +0000
Received: by smtp424.mail.ir2.yahoo.com (VZM Hermes SMTP Server) with ESMTPA
 ID b4e143d45f5b1f9b7abd6cce1ce2c883; 
 Fri, 25 Dec 2020 20:45:17 +0000 (UTC)
From: =?utf-8?Q?Daniel_Mart=C3=ADn?= <mardani29@HIDDEN>
To: "Pedro J. V. Mendes" via "Bug reports for GNU Emacs, the Swiss army
 knife of text editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#45413: Password exposure on SSH login
References: <1ef6190e-90eb-4746-8f45-8901d4aa9bd2@HIDDEN>
 <m1ft3uhdta.fsf@HIDDEN>
 <809655bd-59b7-16cc-1cb3-f45608315e44@HIDDEN>
 <m1y2hmayyb.fsf@HIDDEN>
 <5850c628-143a-4312-2fb1-b3c861a4d044@HIDDEN>
Date: Fri, 25 Dec 2020 21:45:16 +0100
In-Reply-To: <5850c628-143a-4312-2fb1-b3c861a4d044@HIDDEN> (Pedro
 J. V. Mendes's message of "Fri, 25 Dec 2020 12:01:36 +0000")
Message-ID: <m1wnx5r4wz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.17278
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
 Apache-HttpAsyncClient/4.1.4 (Java/11.0.8)
Content-Length: 498
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 45413
Cc: "Pedro J. V. Mendes" <pedro.mendes@HIDDEN>, 45413 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

"Pedro J. V. Mendes" via "Bug reports for GNU Emacs, the Swiss army
knife of text editors" <bug-gnu-emacs@HIDDEN> writes:

> OK, (only) after starting with emacs -Q does the password prompt (and
> the focus) appear at the mini-buffer.
>

Yes, that is expected.  The minibuffer prompt should hide your password
with asterisks as you type it.

I think this may not be a bug in Emacs, but a problem somewhere in your
Emacs configuration.  Comment out parts of your .emacs until you find
the culprit.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45413; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Dec 2020 20:45:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 25 15:45:32 2020
Received: from localhost ([127.0.0.1]:58250 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kstxr-00081t-LC
	for submit <at> debbugs.gnu.org; Fri, 25 Dec 2020 15:45:32 -0500
Received: from lists.gnu.org ([209.51.188.17]:42838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mardani29@HIDDEN>) id 1kstxo-00081e-DA
 for submit <at> debbugs.gnu.org; Fri, 25 Dec 2020 15:45:28 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:42730)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mardani29@HIDDEN>)
 id 1kstxn-00085h-Gv
 for bug-gnu-emacs@HIDDEN; Fri, 25 Dec 2020 15:45:28 -0500
Received: from sonic304-23.consmr.mail.ir2.yahoo.com ([77.238.179.148]:38056)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <mardani29@HIDDEN>)
 id 1kstxi-00052M-Pl
 for bug-gnu-emacs@HIDDEN; Fri, 25 Dec 2020 15:45:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.es; s=s2048;
 t=1608929119; bh=mBXDRcIo3kgV3TlV9ntSshut5InDsAIWMlf/8HgSqrg=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject;
 b=rZKTefzaUBlXtmN18+PQmCwd0NizdcDfCzLDsXaDuEapxEUzgiqNp+V2deb8SyxWCs0j5+85TeSDkOrp9w+YOxM/UVTkOyZiH7V6cWSMo+VnF6cWZdBo5gGtwq8PvcVv7HTA8UGhXxD1XJsC4VrEANFr7Y+pYaKV4+43ZtaLfuiYXiKHwXg0ypVMYTgP36t3LXe2GWUI7JOBPLnv7rKup7Zpj98seBZuw7Xx4jtQ+vquKcOAugTjpw4tCU3kBeoM+U/rlx3vj6BCM4ATyRC2F0lvxPIwa0frSS9F707TVyUeG5KgGHT+X5Ewa9eT+7z+SIy9VSo2ASV1jedodz1P7A==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1608929119; bh=pBU78eIX3NiWfRdJprjc5QCBtiSFi0N7QIU9DNOROJG=;
 h=From:To:Subject:Date:From:Subject;
 b=TOtRdlHd8coMk4MwWDzDziNygb4Qnvhpt0xG+i2POPrQslMOvwKofDBvSq37cCkoeemxR7sv7IqDYHyjdmHzCsjuqdYJpc6HhmJXmg6uiVfPyNsUUMlqcwuvGDuyD7cYb3RyeKLqVqq6Yr5hkMQHEREqrExGy5oeXnysD8zZXF1lISMpDBXuE9iLvt15zhbEO20frXHg64qxCheaB4QypIwcvxesJLARyN/MAy2L6zJqiILjBGosB6KffxgEg6GW54B24xhNfBGXiiAuoVuYvpqnkh4fxJqr9b7XCeBWE7uPGln7wS2yJCQ8I9M3sagUu4QkJnw30gwsdB8khp9sEA==
X-YMail-OSG: ZMeIugwVM1mP.BErRtAtc2HNi5mzsvOidyI08D3I2.FeyMk3sEfQr9flW8Dd4Dx
 bdUPLfc4dAZum.gRHzDVs7bm7UetexiYR4M5ex7vBEMt2kiKanB8lPhdEq4gmpUJOVz3DIvJFcoG
 51QI6pZIfkOVC_.sGIGS3oGpmdHDxssAJVHOzm2MTnc6tGfJHEgVQUkfSxwrWN7VeCF8wbQl_NKp
 nWU.dIm5hJ8u1P6X_LYQRBkiLe_htEJqBcs.QYEja_HTgQy4UFAMjtdfuf_DyM5KHdWKCy5e2j0_
 6fje8_bBjAi6YCKSFRHD7b9OMsLnIxnOMrfUbFZPGUAm_cFlq94I4H2ti8n7e0WH0FnWzVpAIj20
 yMw6IIG2vOQCGZP5i_mrLBFFkii53hqRvng9mfyM8Nz5pMUuWuSqEwmLPKpK68aIIxgr4swL9HEa
 RDyOwCZW2rNdx_0Izxi894Lxfwjf8fZbsAAN2SitwI7kp09tT7J7Oxowve.adZnWcUspmDXtEX7Y
 _xdAqtTD.x3RF3PYRorDmqEQN5RuZ9a4PFNXQTfWpmVO6T3PfoF.LMc3IcvkaPt5AtjMyyfNu9Lp
 SV7vAoBcp4kmd.vcnqP7RBmM88J6UlcWcd5YXReWtw6uCeM02PUGWe8bhvcK_2lLuDiNy6AYB3dc
 Sa0gazHg49o92fRxm1xSeN_TonxLMC.u0DqgbGHJpd2qbwSdSfzycx0r7cXg7wB.QzlMC3rIN8gg
 uEdf.xH0PGb9mvqNP5iuvwunXqefahdTWLpipIvz5bdv7sEcGeNcYDJ9x3.cvaAnXvdw1tiPBqhW
 GraQQJqJhoXCXgyLwTopd3eweQZJddZOA3cJ_cwYTN17r6hby5A47nL7gQDAJFVIbZ4YGdLPBYp7
 _IzHswzDSHh_VD8CF9qeV7Vno5GP2yjIGsfSNSoqB2YT77xCKuPIahxr4XkyXM43nbuMEogrROm.
 7yb2NZ6CMjaGsdQAKg4nxWjVe9XTp7UtVsj1zcGQ.IaCWQJzPAzaO3fAWhan3TorXOTrAg9lBE8B
 P6VDyppEgHmVWYEgeczQbLd4cUf1HTj2TESu3vTNoQ941og_QbAS1sc43C.KeP727DL6xktkmAZ9
 KeQN0qZlkmTjJ_cG5AlE4oC4oxVkvygEbIQsA34VHrl57uqDtlwwL9v0u6vZd0uTGP9wRBs70MTi
 s5y3_p76MYmNbzN2LKc_scu78GG2_M8JG0._srdBTrv9Q6nM2oTqobsUBu15Y5iYepHd7tjGfg_q
 x1TGgRQ_cxgkIv1Fzkeb94GMETM8aHW0SirrhQBWa25cmWs.3l1WAOpscs7C3GDLm4rPX2qP.UJ4
 dJNfR2jfz6CCXU0.LH648jm5btC8GiP3zXop0IN3NeCycGJzL5orYb7fO1uuurhR_Tf7NsqINiT_
 EAE3o2vqPMGueG51NMTLXX.qArrUMgLsjdRpgUFd3pYGeqIlebWHnBSgbtloPRtLE2JkDCuxbdav
 3CCTORWbgCugQnkNOC1mzO_sOnUBQbvKQV.FmAp8A.ItIOUJ4_3fI5zcuu1xyNmjHYP4zdaYYN6X
 TqhdEyPZRYK02fPj1lbZeBP_h2VPn.hwO2O9u6mNA8RgTUeDW3bnXUoTtY2W9sGj8N3dVl7IvOFv
 IOWrvGBX6z3ifvanWQtOhsOz4nBFssX948k6wC..pdpE2Qwh0oB079VUMsAZDEeG0XNw3Xk91Gmp
 gRRXi0LqJIXhKgTuEi1elPRA_zI9uQ0LcCQ3Rdty1D.uw_PZ0..pS5fvazBvEFlrle1eb5emoIQF
 oWK33z5ZJZvvCprq1EGPeaeAp8fjsV2KOzOk2g5VhDybz6XsWmAjCqr5wNDUh.LG0qgI4kIG9Rc7
 vrjrTLBV2KQ93ovBbMIfAV6zD4K6qHnMrmo_hgbGdQclHsD5ZhnIn09HQtS2LtZNPa_mkByrkOVo
 dt6ELBxsXVixQbQWyvOomUw1p43EU.lkjHkQuxejoPBNSNxTv1RZwzOCdiswCL.1kAXfM3CwiqPe
 Db5pTMfB45FO0UDkIqyA9mL08AhrLfVzabavgM5ogiDAORZDlLhxyxTu0dOfmNB5myeAx2HrtseS
 4zULrcyR3BZZ8HUKhi.9qEQyrz7hn6Iu6QMBQxF8WcJpgJATABVaLRuDJ1di0jJ9N8AUSzIOHMum
 ROdxniZx_CugIYFzkLmO7inepWcZrYlyh7at2.rvHVpH6dQ7cRReQZVDhb.woXp9ErFixHOw.Ts8
 Ynz_iyRHfnvn6qjL18qzTBg0xGj2MzX.FLcQGpiZwcCDYuNf66oFiauJCbV4lk._nLzHgSoIblMi
 qkrlcbxFvuznEnxABQEn3T5kh9XW.08oY6D.vrP.e1zjon76KYdBsHvzovRL9NzKX9oLrT11ZNUJ
 GspZgKH6a9LQs0ueKffZCK21jPbsHXqpgybBLWGXuqQIdmbTJ_LLmKZd1h3kYInRMIxDcp0v_T.z
 4yunbzLRBHkIIk2IC1y3ESygHnHd5XbkGcdjMRH1nHs7HmuRE2mDYQXnO7.NMidr1UvwLn6PXo3A
 f4eAaGWNACtjAcyRYVZhpMrlaUs7GZBiVO4hg5psjhTRW
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic304.consmr.mail.ir2.yahoo.com with HTTP; Fri, 25 Dec 2020 20:45:19 +0000
Received: by smtp424.mail.ir2.yahoo.com (VZM Hermes SMTP Server) with ESMTPA
 ID b4e143d45f5b1f9b7abd6cce1ce2c883; 
 Fri, 25 Dec 2020 20:45:17 +0000 (UTC)
From: =?utf-8?Q?Daniel_Mart=C3=ADn?= <mardani29@HIDDEN>
To: "Pedro J. V. Mendes" via "Bug reports for GNU Emacs, the Swiss army
 knife of text editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#45413: Password exposure on SSH login
References: <1ef6190e-90eb-4746-8f45-8901d4aa9bd2@HIDDEN>
 <m1ft3uhdta.fsf@HIDDEN>
 <809655bd-59b7-16cc-1cb3-f45608315e44@HIDDEN>
 <m1y2hmayyb.fsf@HIDDEN>
 <5850c628-143a-4312-2fb1-b3c861a4d044@HIDDEN>
Date: Fri, 25 Dec 2020 21:45:16 +0100
In-Reply-To: <5850c628-143a-4312-2fb1-b3c861a4d044@HIDDEN> (Pedro
 J. V. Mendes's message of "Fri, 25 Dec 2020 12:01:36 +0000")
Message-ID: <m1wnx5r4wz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.17278
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
 Apache-HttpAsyncClient/4.1.4 (Java/11.0.8)
Content-Length: 498
Received-SPF: pass client-ip=77.238.179.148; envelope-from=mardani29@HIDDEN;
 helo=sonic304-23.consmr.mail.ir2.yahoo.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: "Pedro J. V. Mendes" <pedro.mendes@HIDDEN>, 45413 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

"Pedro J. V. Mendes" via "Bug reports for GNU Emacs, the Swiss army
knife of text editors" <bug-gnu-emacs@HIDDEN> writes:

> OK, (only) after starting with emacs -Q does the password prompt (and
> the focus) appear at the mini-buffer.
>

Yes, that is expected.  The minibuffer prompt should hide your password
with asterisks as you type it.

I think this may not be a bug in Emacs, but a problem somewhere in your
Emacs configuration.  Comment out parts of your .emacs until you find
the culprit.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45413; Package emacs. Full text available.

Message received at 45413 <at> debbugs.gnu.org:


Received: (at 45413) by debbugs.gnu.org; 25 Dec 2020 16:57:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 25 11:57:42 2020
Received: from localhost ([127.0.0.1]:58105 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ksqPM-0000a3-Fo
	for submit <at> debbugs.gnu.org; Fri, 25 Dec 2020 11:57:42 -0500
Received: from smtp1.tecnico.ulisboa.pt ([193.136.128.21]:46304)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pedro.mendes@HIDDEN>) id 1kslmx-00087h-4U
 for 45413 <at> debbugs.gnu.org; Fri, 25 Dec 2020 07:01:45 -0500
Received: from localhost (localhost.localdomain [127.0.0.1])
 by smtp1.tecnico.ulisboa.pt (Postfix) with ESMTP id 268D26759F50;
 Fri, 25 Dec 2020 12:01:39 +0000 (WET)
X-Virus-Scanned: by amavisd-new-2.11.0 (20160426) (Debian) at
 tecnico.ulisboa.pt
Received: from smtp1.tecnico.ulisboa.pt ([127.0.0.1])
 by localhost (smtp1.tecnico.ulisboa.pt [127.0.0.1]) (amavisd-new, port 10025)
 with LMTP id GUR4asjBA1nQ; Fri, 25 Dec 2020 12:01:36 +0000 (WET)
Received: from mail1.tecnico.ulisboa.pt (mail1.ist.utl.pt
 [IPv6:2001:690:2100:1::b3dd:b9ac])
 by smtp1.tecnico.ulisboa.pt (Postfix) with ESMTPS id 66D216759F55;
 Fri, 25 Dec 2020 12:01:36 +0000 (WET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=ist.utl.pt; s=mail;
 t=1608897696; bh=NZ247NPdsEN3qeuiEXI0Witpcmbio+koM8Hh69B8JsQ=;
 h=Subject:To:References:Cc:From:Date:In-Reply-To;
 b=k+aAYqjiyiu5nZpv08O10mTWax5BdfEt8dRGryT4iuPPchR4Klz9Rx3teZVNuigjy
 mWiBZIYhHfNW/0CAHcqAlzR+4n09zyaY5YFm+5k/hCsmSfnPo7diNLalvMwfIXQMoF
 rMNz81UajPm9xIDoaKIKMlZHkthWdI4A6E1bhVAc=
Received: from [192.168.1.73] (145.144.115.89.rev.vodafone.pt [89.115.144.145])
 (Authenticated sender: ist136585)
 by mail1.tecnico.ulisboa.pt (Postfix) with ESMTPSA id 4721636032C;
 Fri, 25 Dec 2020 12:01:36 +0000 (WET)
Subject: Re: bug#45413: Password exposure on SSH login
To: =?UTF-8?Q?Daniel_Mart=c3=adn?= <mardani29@HIDDEN>
References: <1ef6190e-90eb-4746-8f45-8901d4aa9bd2@HIDDEN>
 <m1ft3uhdta.fsf@HIDDEN> <809655bd-59b7-16cc-1cb3-f45608315e44@HIDDEN>
 <m1y2hmayyb.fsf@HIDDEN>
From: "Pedro J. V. Mendes" <pedro.mendes@HIDDEN>
Message-ID: <5850c628-143a-4312-2fb1-b3c861a4d044@HIDDEN>
Date: Fri, 25 Dec 2020 12:01:36 +0000
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <m1y2hmayyb.fsf@HIDDEN>
Content-Type: multipart/alternative;
 boundary="------------0581C623ED4050A0A7DA0C50"
Content-Language: en-US
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: 45413
X-Mailman-Approved-At: Fri, 25 Dec 2020 11:57:40 -0500
Cc: 45413 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.9 (----)

This is a multi-part message in MIME format.
--------------0581C623ED4050A0A7DA0C50
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit

OK, (only) after starting with emacs -Q does the password prompt (and 
the focus) appear at the mini-buffer.

On 25/12/20 11:48, Daniel Martín wrote:
> "Pedro J. V. Mendes" <pedro.mendes@HIDDEN> writes:
>
> [Don't forget to CC the bug tracker address so that the entire
> conversation gets tracked. Thanks.]
>
>> Hello, and happy Xmas!
>>
>> I give you snapshot of a minimal session exposing the problem.
>>
>> When I was typing the password, the characters were showing in
>> normal-face, and after pressing Enter they turned to bold-face, like
>> the previous "ssh" command.
> Do you see at the bottom of the screen a minibuffer prompt that asks for
> the password?  If you enter the password in that minibuffer prompt (not
> in the shell buffer), it should replace characters with asterisks.  Make
> sure you didn't accidentally switch from the minibuffer to the shell
> buffer.
>
> [Screenshot showing the problem, from the OP]
>
>
> Hm, it looks like a regular "Password:" OpenSSH prompt that should
> already be handled correctly, unless I'm missing something.  Does this
> happen when you start Emacs as "emacs -Q" too?
>
>> After that both the "ssh" command and the password were recorded into
>> the history.
>>
>> I hope this helps.
>>

--------------0581C623ED4050A0A7DA0C50
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: 8bit

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  </head>
  <body>
    <p>OK, (only) after starting with <tt>emacs -Q</tt> does the
      password prompt (and the focus) appear at the mini-buffer.<br>
    </p>
    <div class="moz-cite-prefix">On 25/12/20 11:48, Daniel Martín wrote:<br>
    </div>
    <blockquote type="cite" cite="mid:m1y2hmayyb.fsf@HIDDEN">
      <pre class="moz-quote-pre" wrap="">"Pedro J. V. Mendes" <a class="moz-txt-link-rfc2396E" href="mailto:pedro.mendes@HIDDEN">&lt;pedro.mendes@HIDDEN&gt;</a> writes:

[Don't forget to CC the bug tracker address so that the entire
conversation gets tracked. Thanks.]

</pre>
      <blockquote type="cite">
        <pre class="moz-quote-pre" wrap="">Hello, and happy Xmas!

I give you snapshot of a minimal session exposing the problem.

When I was typing the password, the characters were showing in
normal-face, and after pressing Enter they turned to bold-face, like
the previous "ssh" command.
</pre>
      </blockquote>
      <pre class="moz-quote-pre" wrap="">
Do you see at the bottom of the screen a minibuffer prompt that asks for
the password?  If you enter the password in that minibuffer prompt (not
in the shell buffer), it should replace characters with asterisks.  Make
sure you didn't accidentally switch from the minibuffer to the shell
buffer.

[Screenshot showing the problem, from the OP]

</pre>
      <br>
      <fieldset class="mimeAttachmentHeader"></fieldset>
      <pre class="moz-quote-pre" wrap="">
Hm, it looks like a regular "Password:" OpenSSH prompt that should
already be handled correctly, unless I'm missing something.  Does this
happen when you start Emacs as "emacs -Q" too?

</pre>
      <blockquote type="cite">
        <pre class="moz-quote-pre" wrap="">
After that both the "ssh" command and the password were recorded into
the history.

I hope this helps.

</pre>
      </blockquote>
    </blockquote>
  </body>
</html>

--------------0581C623ED4050A0A7DA0C50--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45413; Package emacs. Full text available.

Message received at 45413 <at> debbugs.gnu.org:


Received: (at 45413) by debbugs.gnu.org; 25 Dec 2020 11:48:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 25 06:48:43 2020
Received: from localhost ([127.0.0.1]:56825 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kslaN-0007oS-H9
	for submit <at> debbugs.gnu.org; Fri, 25 Dec 2020 06:48:43 -0500
Received: from sonic303-20.consmr.mail.ir2.yahoo.com ([77.238.178.201]:45038)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mardani29@HIDDEN>) id 1kslaK-0007o9-U3
 for 45413 <at> debbugs.gnu.org; Fri, 25 Dec 2020 06:48:42 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.es; s=s2048;
 t=1608896910; bh=LR9dQo3e7zW6S5aBYkaDYCOsdnTPvrf+1dPgbboCLfI=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject;
 b=r/4AkNivjAOybAyNdnjKec/top6trKDOe/GZBzNSjK4r9plWkMF1fUyepeqbgn2K4laUmSazyTJ1WJpgESn9JUZTHxVVVACq+0gYqRMhvkg1XqiqLb12YDfBfC6OII5qUeb4x76oqU98Kg2LY4ANm1wOHhSON+NS9zs/W8TUAFh6CqBxiW7vNgb8cgu8xKmZ853I1dYyeztd8Rt7vdKhIxrkjT5bGX1ZM839y/T+T52SFoFnG89ivYyuu56v4d1Bade3Oh1Z7ec1oKIcANGf5OA3JRuJLyX4D3/A3JzFsESF2gJFfj+D5MA7WTSerbirjXJ1URwy10aII1JNEcnCug==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1608896910; bh=U4gJ6ob0MVkYhGP199J93DCDaaXrdZx8DaSwx/vok9x=;
 h=From:To:Subject:Date:From:Subject;
 b=KHjSwUUl/z01nQFjRQ28qduC2onkkVnP/0Cnudl+rOSUmBLvRCSGvK/rFEZ+4q9QJ7UYQds3ByDxsxbNUQjD+mR8J1ugvY2HLMpmKcbd3cs1P3wehUDyt1IXOdq0whZde0sgW6rTqcOcXhSCVL+BeCy9Py5QNqG9Avj/ipU8roUBEXsKgsGa/xYscW+nPoCts8ajLCN9eXRQaQxKuFgd4olYUIRBZHygx7O4TzCAN90/MyDU7ERNXY2iM8fK/Qc+yyrakLvW+vdHRolm+MXMeZsULmQQWx7JLmRfqxb/DD8HcBxrU85HaYjQRqk+/2gqrJL1ifhBs5mtwhwiI8UVNA==
X-YMail-OSG: TvyTs0gVM1kbPSCImXim6hDwgfgNrSSxtUAkUBYPzRT2gq2Fw5tyfIIPeDhjIVh
 WOVtzOqIghorHT1JHcd_Ym41Qv.VloDwYCIGFgxguSnZzOpFehDKWKDDpkeyOzCJ6P.EJH_5.3_x
 _OS6Jl36UeJMP8YnrXHzuk.FdnIY.Uy7kHfnaMCgNzQM4YafrVrII_IiKmsxWwGu7gyaO6K3LLr5
 DZeBw4lNh6856qPBZAR6UZVCTBi1.LMbiSyzr2auvHqqCL_07FfWyPyxRRjx5vZoAQxOy6tga3_p
 XyIcpFzJ_qO1RmJJKSnlsRHmAVGg6ih1NnC2Xj2hV02.3IGD04NLYiBxdNd4dLYWJW3LIms4xgmD
 Fx..MoFQaDWjTbmSkju6WUfz7LgTxf.q48KPsvxGOLTqHDixIukM.atL4EDo9sgxrAPux0y1s42a
 RxxThLtHUUj0TCwvBscGIWv0OQhNAWE89m2CLHK.VYKFOt77ksBnM1CclJ7SHnKpqCed626g5_uw
 hKFSZelv3.V0dSxaudpnV.tGfhiXYLCX2BLtWpth5GiMyPayBlZf2Z5zQG0JjaW_02t2m9sUaCz4
 4CZJz2dqA8YcEIUJcDOaKvTIQQH8SnVD.d7xfCBGIFsTfP_frQ2iA4pW1zgMAmKv5Mar18dn6TaJ
 60kKB9.o1p9EZlK0v6LLPqJTtMFi3TQ4QgPdwlM6cHefnQh3NitmMyqwnUPE_1J4K1MUgIolS89K
 4VwVjfJDKiozk1fDeEhYna7lwbIcq6BOmzb9_PtdMbtp9qEgvKvRyafoC4g0TwnPlJvwo9mma2y8
 zC5NUyZq_m2dKF2GrtRz.qyT5wH1zjWne6npXZ3a8t0X59mDyVpy4zdvbRJeIyT_P2o0dWnMCV_j
 QBj8nzZus1U1vzrZiJZ6dLiZk3PixDpFXCc2WIuyR2R1.EF.H02ARpgV7xfwJVeWdzD1eCd9uCjt
 zlwxIkYBQxys_m2l0ouexdKsqpcs1541xw6G3SKucM2uOA5WY2BcQOnmb3vOs1SXB75HgS3wZlSr
 TXUWzFYPT.RH9XX9NqcsgDOoMuVjcj9tcau7WMU4k7l5VLuVpBQ.nAgFc08gAf3r0prfkXhKRDb3
 Jw5oBvN12o0oyADfZsY_nREnd98vjuRtMRVhqB0RfQ1gGI8MssVaaC53hkmYokud5RJLSQOvNxdv
 2hO1cPTfLOU201EuUSx8kfjjoYHqL2eMCBuHqttxAjXHVStYarCiRbw9t9XPBDO9bhMM4Bonu7MG
 ndwx2uKfbEYJWTCRjurKrdTAKBCmRDLJ10zeq.cD_GW2zwy6dy8b66ARxUqv1oyd_XqGS9BULx0k
 LZdujBbKkohj_xjB_.Qr07Tb.1r6XCPUri8l2.P.dFE8S7d47WLQ6NRntXxASVHJlNYSN2hfg3GY
 5kTNlea6RM1v39vOn.3Q0N_jmy1u7ZlEQ3btzPOLvc9vlY0hk1YVgZXvSuUBfnwfU4oWvACiaNOK
 o3rnqR3csgIHu_5EOMuAvxdbQyxRHTDe5NfMr9lFpi5CLaPAgmJUzojz5Pw1SOw1.C3WR1avBe3N
 eJLYnM76AG9AQQ77MWDdsqZ3_VDlzxLfZgidmRO5YHW7VPQhL0BWRUrno1QwAC9HXZdT6tZlf_lI
 p5rQOeyG2XAyp_fkYxCeXalP5Hf4JMxqlHRWcov5kmxbdj2_6Dh3xSWmMuA_HOCCwnQuz6fBEZET
 i3Gbj0wLKHY9CkyxDi7zysIrbsXtDV2C5PI6k5PX1MiTbixeyQECx30SNb4V1WvPcPEgKrnvy7vF
 Bv9aU4ZuCegrilxaDV9S0sT9gaBayZb6MDjzUSk5maSUIuANndIMTw22S5D4BP5M5JoSzsjVYCr.
 zYgknYdpe9WzL2cdOIlimIaGuQ2IHRRqN0x_ajMnW9d0Sb1PyUczJ8B_cKZHDEs3A7NWxStrBt5_
 yq_eIa5NTXcHEwyjARMzOO40mbGT6ub0UMlCaNoScAGL8DYwuAfwh4WWJ9_TNctn4HjPM1q1mjnN
 9KGZKvZFvpZgHA7exuOv1WdZEr1gdKdsNBUgs70YI6nOnOz.0Toc96exqelv2_Uj2EjezD6WbAok
 uJehpDU1CfDCnrM87gMnVji5L28goXLxUt8h6vHqyHKdMUSY4FvH9GA6aAUvcR2zTbKWPZQUbbz0
 9GEQ5ZVeSsQMKpIsTIdGlUU.Si8iksIcmilafPsQCpvW6YnorPqA6aWFfGZ8ioMny3t7Pge_OXWs
 mefG1Ed5pJCbisopI0u8xHUZzsopkWX4bQyAwZiIrjbY2HVpfzC9Ft5VzDsj83ej_b_m1WZ0RKHl
 e732sM9vApEFmUtvVh07R5NDruvS.SP.7_1HH_yRNICt7cCRTlY5iwxZ7MfJXA.vkFI0wOU_mFOE
 phM9t45xhtC3FcrshLm2MYv1.wMfVL.OVxCr6AYdv5inzHEWJLhdgJc1OEzOZd9RIOqe1CaBv562
 dvkVQgV1shWM5zD.LOvlRBYsMGfUZfWU-
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic303.consmr.mail.ir2.yahoo.com with HTTP; Fri, 25 Dec 2020 11:48:30 +0000
Received: by smtp412.mail.ir2.yahoo.com (VZM Hermes SMTP Server) with ESMTPA
 ID 5fc616d5d4f5fded078a2a3776b29ace; 
 Fri, 25 Dec 2020 11:48:29 +0000 (UTC)
From: =?utf-8?Q?Daniel_Mart=C3=ADn?= <mardani29@HIDDEN>
To: "Pedro J. V. Mendes" <pedro.mendes@HIDDEN>
Subject: Re: bug#45413: Password exposure on SSH login
References: <1ef6190e-90eb-4746-8f45-8901d4aa9bd2@HIDDEN>
 <m1ft3uhdta.fsf@HIDDEN>
 <809655bd-59b7-16cc-1cb3-f45608315e44@HIDDEN>
Date: Fri, 25 Dec 2020 12:48:28 +0100
In-Reply-To: <809655bd-59b7-16cc-1cb3-f45608315e44@HIDDEN> (Pedro
 J. V. Mendes's message of "Fri, 25 Dec 2020 09:36:40 +0000")
Message-ID: <m1y2hmayyb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (darwin)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Mailer: WebService/1.1.17278
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
 Apache-HttpAsyncClient/4.1.4 (Java/11.0.8)
Content-Length: 212403
X-Debbugs-Envelope-To: 45413
Cc: 45413 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--=-=-=
Content-Type: text/plain

"Pedro J. V. Mendes" <pedro.mendes@HIDDEN> writes:

[Don't forget to CC the bug tracker address so that the entire
conversation gets tracked. Thanks.]

> Hello, and happy Xmas!
>
> I give you snapshot of a minimal session exposing the problem.
>
> When I was typing the password, the characters were showing in
> normal-face, and after pressing Enter they turned to bold-face, like
> the previous "ssh" command.

Do you see at the bottom of the screen a minibuffer prompt that asks for
the password?  If you enter the password in that minibuffer prompt (not
in the shell buffer), it should replace characters with asterisks.  Make
sure you didn't accidentally switch from the minibuffer to the shell
buffer.

[Screenshot showing the problem, from the OP]


--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=thumbnail.png
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain


Hm, it looks like a regular "Password:" OpenSSH prompt that should
already be handled correctly, unless I'm missing something.  Does this
happen when you start Emacs as "emacs -Q" too?

>
> After that both the "ssh" command and the password were recorded into
> the history.
>
> I hope this helps.
>

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45413; Package emacs. Full text available.

Message received at 45413 <at> debbugs.gnu.org:


Received: (at 45413) by debbugs.gnu.org; 25 Dec 2020 01:31:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 24 20:31:12 2020
Received: from localhost ([127.0.0.1]:56360 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ksbwl-0006vm-SR
	for submit <at> debbugs.gnu.org; Thu, 24 Dec 2020 20:31:12 -0500
Received: from sonic314-20.consmr.mail.ir2.yahoo.com ([77.238.177.146]:34581)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mardani29@HIDDEN>) id 1ksbwh-0006vH-C5
 for 45413 <at> debbugs.gnu.org; Thu, 24 Dec 2020 20:31:10 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.es; s=s2048;
 t=1608859861; bh=BU3rudN9DeztWNOuF9o6iUAtp4aOk/EHEzHPd0rPk8I=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject;
 b=uaNvvEHOOoPXBH4iuWk9xUUeDvM2tvOwo+Rvq7uWFmrohOxubvLEPkZpkGcpPaSZHWpQ7QYS8iPuUXnRlarK9OKGoHfKMww/+evoBAFcNUFxpAFwLxfiQOZIgEg30DTPH9umHhGxx6S+qQKjj7Kgf29r7gWXFR2jNRNNLoFe79TIfEVt8qBxsnjFWTdede6wWVjqLiqONED2VFR2WZiLbiOs14h08IEP4zbi4h52GY0yXqx7mvxjyzn8YxYFdw1DSy0MHL5YHYxwa431yK49WGIvppm2iPMI7ZH1XsKacE1ad6cVSzDC0N81tfhfWVtjQAsQtKBAzBuvJVpRTbVRyg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1608859861; bh=l46c3oke2mid8k4VisJbBXzPStc8tt7dLeEsR1ZVBCi=;
 h=From:To:Subject:Date:From:Subject;
 b=Cx692yCT7+r/T6AziHt+SnJFB06CVKBTf/RVYQpaAVyZn+eHjuxLhc/DuGmwQsb0OqG0z4pGZQBoiKmmfJ42mAqY2HsvLscdCnT+3Ve7/gBZcH5lihbwzeuAR9Tolzrl2G/KG7Du+BmUEeD47oyxzj0ryhkJF14UZMC0xNzp7S/O18YmIcpqfkxuGD8+4SuoK9BcGPTQXaVRWUus3cIou49md1RTMEWJaXiWPABd/2ME87nEmsanNLmSesoR7MmhTcKXkQmxX84CnaZcybRafirtwrgJVqqNnLV7rkV6kIN+aqUZ4hNhmsHXyrKsl7/HCH6WEMRUReJT7hzt9lLE0g==
X-YMail-OSG: dgC0_V8VM1kIEjt67GCpi2KWr.YFzT.tr5xx1ctjZ3DgXUVP_IWVNRmPmOWAAXO
 dj1jcM5k2Mz9LHlwZT.Lp36c1_WMjFV9aGMcAF_Bx5mR4DDxncjJ0iEaXukxAGcOp140HOrGQIGZ
 .q.yjhEeFHTUPI4sZci9Z_s3_CmCX61unZMHcs_I3HMe1Hj79ZfaEH6F8LxVZ0.Vm4iP.P55IepG
 uoL2Y9U1yLgX_GfPI7dOr8wasMhRDD0XRIiDy_GbQRlMXShPpmFs.4COVdL5QgQrM1WxAq7WZGtP
 C67Svl_ZgjsCtorHs64FtRZm2tQqicdnTepX2SB9IMrFcGbKdyn3tCeCt_1nmrIXObLVCP1dsQ_x
 V7CNMbTgWGL_bOGXmHrWlFImP1dDJfWx5I_juBb9pZNSXemP1pU0C.UiQCmoXkBKonY0aHpb2ACZ
 ws6OAblSQUZXqrj__67pnPFsHjpkTc4.RiFlD0DAJG01JfmDEmEU9Ar7lNFxC5S_tTnE4wQz5YgH
 omvizR6FwAYP9KA1S6cNXTn2Bvj1lTzMsv5yT5Up8XQGLSq_lRYGvn.ZMPi1rhGqXIGZUlgPtFyo
 mAFyaJvHEYvztx2taRmJNOjdcoEVT7x3yx85w2IGQBc8jaXufaQ5WF.p.43PgCaDh11iw_Z.OuD9
 PnGhOwOgfK0_p8nsaSLg6Figr8r1RTnEHCkArjSa_R67Z..ByZI8IDPXFAzO.6ANCcIMPMgy91J.
 ToJ_AVL5H0nUIwOFMuSDzRGPSvV2RJ1Xh6sf.nh41sxsTe3dUmFGj4XUrEHLcznBLt2m2LnnMm6J
 KQGTjHhjz2hqtYdQPsOJmjAuYT1aW6PK4ZwJBJuMKocGxqWJ.0ftsbtmNu0LTFg4Ayx6WZ3zJzjl
 f9qxspN4XPUXaAq0WyQB8Gg7WyY0C7CQuUxPrYipWPxegYVcBeUoalr7carJtpVxh2_USXsulojM
 LJ9a_FA9PkynTem93UbrQ6ANCn77PzAOaBzG7YM5zRfZuasZxSyyQC5GAYkIWgZ63Mr1ndb3s.pm
 fD4NhzFgS9s3npqNN.1ZzzHsX7xZ7NXDZ1oXKhz5dor0.yuAf0ZB246umRlB9hs0oocuMQjeu9h8
 eUp1bOmsDA8BYikfFz7XvvS48L_Ch0_RV11qb55qd6qmB7HbAJ_R7CLX5JcDxLx9bAxEM_TO0Nuj
 sJ005PSmnzVeHwW0cdvFSe0Y71.uKl1OE_Zk12DpECPNyjeulEDti5PhUjrxjkOtTg7yjJ7Mop_3
 Ea5SrR4jAsDrAOdteqxllorj.sSxHhK8M59YGAhWhL0pd5IjDCoa2g1mVgz3O1.Ee4UJTW.qfV.P
 WGE4W9Y6Vh33NTsyPWlNQgidZZ911Y.FTcIgTsV2R_ygFpioShFeDYTwxDVOigXz8oFMNogu0Yij
 G5y5RNPdmHvLRneY4UG7lnLZGBeufogJwO46Kp6LwaUWpmUEW5ffPKoHGzJkq7.LTazhfXoiTzUY
 FciGPybAbchqRafgJ5FJmNQJhvszeRakeqhLqCG0hGszwQvBwsrKyq61xmuBVLTy6n34tG_ayuiO
 obMFeYO4bEOEnhjbvMfBtbJZ07_GtvWdYNjn2WtQkxZD3L5P9f0fKiITdvyi7x7gFM6fTQGbve_S
 mlaL.XDEFYWzvDQILSc.MSbjSubZHWgW7RWszztfBtrf.09.Bq.tk3BfB6ZZkJ8IgrqyPR0SBGDA
 vZpPS7wWiKv4kom1DGcklHehZ.KEjpLvDOsvoqHSqpXALpc7ODBVKIon1.CqeDCUTm7UDoa305wM
 x6_diMpOPG9NNBOj9.WgmU2lFa0aVWJHGdj6vIcwEwMifyaOh6C94JL4a.Ih26BlsyW33zFQz2.y
 7m4Pa5nuVHqAO58jxxfs90KNDdAiGNoI5HqBRyzG7Jj8HP8ibt_TQuiaUM0RfE_ieZSBRbN3I7zr
 ImUvRRfefkyC0vzeLbD7eL4Qf1ervX7e_eFki26UnReP36gP_ctz0xoa_4t5pVo4Nt5Ono0UF89T
 t.B5pWdBWT_Hh9E91qCtQdFQ6phhvdbyC4AmUiGFZ7SavkdtnlCOK5wgfo4CPjkumE7KwiSNHFc1
 IZXHybOKtMW6LuA9t9JvdP1VjJ11x8wHiZplEdcDtT4IGiS8DjmmxL7iu8NT3tVG1VBgMHzxHmo.
 t_PFZL0ADD7Sqz2EQPlJ7OYrRBSb43jNuKMKFc_IXt2L1l1ev_f0HzREkiX_P9aKP1QGAaSlJdTv
 hDeZuofBxt8W279IWYkU75sSrX9Ei.LVLaF_VqP2mOl.VZWo052K2QHT.xOOZJQtdzNGVtKhVu6t
 2q_PY0z0ztVlZjrVM0KhdJQjWU8XXNSHFd0eO_pBrUa1F_LCic6rivDwxsV_ZppS1YozeBmMbhYI
 .KO54u4nulZTCT3WJXT4M761Yl0SA9EbDZBMsReYoDvn1.VaNp.xuWtHBL3w2PL.lr5HPGR7fr7v
 GbUSLzAR3iRBElNw9JzlhIKfh_F66T5BF31DQcH9HdMfFMG2CHsIG4E721K6Z9A8A6DJrTouVBhI
 0WRJxrwu_t2Op4LRuyVB7zIp315Fa4CNPJArQZOQp
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic314.consmr.mail.ir2.yahoo.com with HTTP; Fri, 25 Dec 2020 01:31:01 +0000
Received: by smtp421.mail.ir2.yahoo.com (VZM Hermes SMTP Server) with ESMTPA
 ID a0b2c7ed7b674a9ba74df2ee2837ec14; 
 Fri, 25 Dec 2020 01:30:59 +0000 (UTC)
From: =?utf-8?Q?Daniel_Mart=C3=ADn?= <mardani29@HIDDEN>
To: "Pedro J. V. Mendes" via "Bug reports for GNU Emacs, the Swiss army
 knife of text editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#45413: Password exposure on SSH login
References: <1ef6190e-90eb-4746-8f45-8901d4aa9bd2@HIDDEN>
Date: Fri, 25 Dec 2020 02:30:57 +0100
In-Reply-To: <1ef6190e-90eb-4746-8f45-8901d4aa9bd2@HIDDEN> (Pedro
 J. V. Mendes's message of "Thu, 24 Dec 2020 23:13:41 +0000")
Message-ID: <m1ft3uhdta.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.17278
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
 Apache-HttpAsyncClient/4.1.4 (Java/11.0.8)
Content-Length: 442
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 45413
Cc: 45413 <at> debbugs.gnu.org, "Pedro J. V. Mendes" <pedro.mendes@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

"Pedro J. V. Mendes" via "Bug reports for GNU Emacs, the Swiss army
knife of text editors" <bug-gnu-emacs@HIDDEN> writes:

> Within <M-x shell>, on SSH login (e.g.) to sigma.ist.utl.pt, the
> password was
> visible during typing and recorded to history (accessible through
> M-p).

Could you paste how the OpenSSH password prompt looks like in that
system?  Perhaps we need to update comint-password-prompt-regexp to
match it appropriately.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45413; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Dec 2020 01:31:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 24 20:31:19 2020
Received: from localhost ([127.0.0.1]:56364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ksbwt-0006w7-3A
	for submit <at> debbugs.gnu.org; Thu, 24 Dec 2020 20:31:19 -0500
Received: from lists.gnu.org ([209.51.188.17]:34532)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mardani29@HIDDEN>) id 1ksbwr-0006vy-83
 for submit <at> debbugs.gnu.org; Thu, 24 Dec 2020 20:31:17 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:57566)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mardani29@HIDDEN>)
 id 1ksbwp-0007c8-VQ
 for bug-gnu-emacs@HIDDEN; Thu, 24 Dec 2020 20:31:16 -0500
Received: from sonic314-20.consmr.mail.ir2.yahoo.com ([77.238.177.146]:42913)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <mardani29@HIDDEN>)
 id 1ksbwg-0002Xx-HW
 for bug-gnu-emacs@HIDDEN; Thu, 24 Dec 2020 20:31:15 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.es; s=s2048;
 t=1608859861; bh=BU3rudN9DeztWNOuF9o6iUAtp4aOk/EHEzHPd0rPk8I=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject;
 b=uaNvvEHOOoPXBH4iuWk9xUUeDvM2tvOwo+Rvq7uWFmrohOxubvLEPkZpkGcpPaSZHWpQ7QYS8iPuUXnRlarK9OKGoHfKMww/+evoBAFcNUFxpAFwLxfiQOZIgEg30DTPH9umHhGxx6S+qQKjj7Kgf29r7gWXFR2jNRNNLoFe79TIfEVt8qBxsnjFWTdede6wWVjqLiqONED2VFR2WZiLbiOs14h08IEP4zbi4h52GY0yXqx7mvxjyzn8YxYFdw1DSy0MHL5YHYxwa431yK49WGIvppm2iPMI7ZH1XsKacE1ad6cVSzDC0N81tfhfWVtjQAsQtKBAzBuvJVpRTbVRyg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1608859861; bh=l46c3oke2mid8k4VisJbBXzPStc8tt7dLeEsR1ZVBCi=;
 h=From:To:Subject:Date:From:Subject;
 b=Cx692yCT7+r/T6AziHt+SnJFB06CVKBTf/RVYQpaAVyZn+eHjuxLhc/DuGmwQsb0OqG0z4pGZQBoiKmmfJ42mAqY2HsvLscdCnT+3Ve7/gBZcH5lihbwzeuAR9Tolzrl2G/KG7Du+BmUEeD47oyxzj0ryhkJF14UZMC0xNzp7S/O18YmIcpqfkxuGD8+4SuoK9BcGPTQXaVRWUus3cIou49md1RTMEWJaXiWPABd/2ME87nEmsanNLmSesoR7MmhTcKXkQmxX84CnaZcybRafirtwrgJVqqNnLV7rkV6kIN+aqUZ4hNhmsHXyrKsl7/HCH6WEMRUReJT7hzt9lLE0g==
X-YMail-OSG: dgC0_V8VM1kIEjt67GCpi2KWr.YFzT.tr5xx1ctjZ3DgXUVP_IWVNRmPmOWAAXO
 dj1jcM5k2Mz9LHlwZT.Lp36c1_WMjFV9aGMcAF_Bx5mR4DDxncjJ0iEaXukxAGcOp140HOrGQIGZ
 .q.yjhEeFHTUPI4sZci9Z_s3_CmCX61unZMHcs_I3HMe1Hj79ZfaEH6F8LxVZ0.Vm4iP.P55IepG
 uoL2Y9U1yLgX_GfPI7dOr8wasMhRDD0XRIiDy_GbQRlMXShPpmFs.4COVdL5QgQrM1WxAq7WZGtP
 C67Svl_ZgjsCtorHs64FtRZm2tQqicdnTepX2SB9IMrFcGbKdyn3tCeCt_1nmrIXObLVCP1dsQ_x
 V7CNMbTgWGL_bOGXmHrWlFImP1dDJfWx5I_juBb9pZNSXemP1pU0C.UiQCmoXkBKonY0aHpb2ACZ
 ws6OAblSQUZXqrj__67pnPFsHjpkTc4.RiFlD0DAJG01JfmDEmEU9Ar7lNFxC5S_tTnE4wQz5YgH
 omvizR6FwAYP9KA1S6cNXTn2Bvj1lTzMsv5yT5Up8XQGLSq_lRYGvn.ZMPi1rhGqXIGZUlgPtFyo
 mAFyaJvHEYvztx2taRmJNOjdcoEVT7x3yx85w2IGQBc8jaXufaQ5WF.p.43PgCaDh11iw_Z.OuD9
 PnGhOwOgfK0_p8nsaSLg6Figr8r1RTnEHCkArjSa_R67Z..ByZI8IDPXFAzO.6ANCcIMPMgy91J.
 ToJ_AVL5H0nUIwOFMuSDzRGPSvV2RJ1Xh6sf.nh41sxsTe3dUmFGj4XUrEHLcznBLt2m2LnnMm6J
 KQGTjHhjz2hqtYdQPsOJmjAuYT1aW6PK4ZwJBJuMKocGxqWJ.0ftsbtmNu0LTFg4Ayx6WZ3zJzjl
 f9qxspN4XPUXaAq0WyQB8Gg7WyY0C7CQuUxPrYipWPxegYVcBeUoalr7carJtpVxh2_USXsulojM
 LJ9a_FA9PkynTem93UbrQ6ANCn77PzAOaBzG7YM5zRfZuasZxSyyQC5GAYkIWgZ63Mr1ndb3s.pm
 fD4NhzFgS9s3npqNN.1ZzzHsX7xZ7NXDZ1oXKhz5dor0.yuAf0ZB246umRlB9hs0oocuMQjeu9h8
 eUp1bOmsDA8BYikfFz7XvvS48L_Ch0_RV11qb55qd6qmB7HbAJ_R7CLX5JcDxLx9bAxEM_TO0Nuj
 sJ005PSmnzVeHwW0cdvFSe0Y71.uKl1OE_Zk12DpECPNyjeulEDti5PhUjrxjkOtTg7yjJ7Mop_3
 Ea5SrR4jAsDrAOdteqxllorj.sSxHhK8M59YGAhWhL0pd5IjDCoa2g1mVgz3O1.Ee4UJTW.qfV.P
 WGE4W9Y6Vh33NTsyPWlNQgidZZ911Y.FTcIgTsV2R_ygFpioShFeDYTwxDVOigXz8oFMNogu0Yij
 G5y5RNPdmHvLRneY4UG7lnLZGBeufogJwO46Kp6LwaUWpmUEW5ffPKoHGzJkq7.LTazhfXoiTzUY
 FciGPybAbchqRafgJ5FJmNQJhvszeRakeqhLqCG0hGszwQvBwsrKyq61xmuBVLTy6n34tG_ayuiO
 obMFeYO4bEOEnhjbvMfBtbJZ07_GtvWdYNjn2WtQkxZD3L5P9f0fKiITdvyi7x7gFM6fTQGbve_S
 mlaL.XDEFYWzvDQILSc.MSbjSubZHWgW7RWszztfBtrf.09.Bq.tk3BfB6ZZkJ8IgrqyPR0SBGDA
 vZpPS7wWiKv4kom1DGcklHehZ.KEjpLvDOsvoqHSqpXALpc7ODBVKIon1.CqeDCUTm7UDoa305wM
 x6_diMpOPG9NNBOj9.WgmU2lFa0aVWJHGdj6vIcwEwMifyaOh6C94JL4a.Ih26BlsyW33zFQz2.y
 7m4Pa5nuVHqAO58jxxfs90KNDdAiGNoI5HqBRyzG7Jj8HP8ibt_TQuiaUM0RfE_ieZSBRbN3I7zr
 ImUvRRfefkyC0vzeLbD7eL4Qf1ervX7e_eFki26UnReP36gP_ctz0xoa_4t5pVo4Nt5Ono0UF89T
 t.B5pWdBWT_Hh9E91qCtQdFQ6phhvdbyC4AmUiGFZ7SavkdtnlCOK5wgfo4CPjkumE7KwiSNHFc1
 IZXHybOKtMW6LuA9t9JvdP1VjJ11x8wHiZplEdcDtT4IGiS8DjmmxL7iu8NT3tVG1VBgMHzxHmo.
 t_PFZL0ADD7Sqz2EQPlJ7OYrRBSb43jNuKMKFc_IXt2L1l1ev_f0HzREkiX_P9aKP1QGAaSlJdTv
 hDeZuofBxt8W279IWYkU75sSrX9Ei.LVLaF_VqP2mOl.VZWo052K2QHT.xOOZJQtdzNGVtKhVu6t
 2q_PY0z0ztVlZjrVM0KhdJQjWU8XXNSHFd0eO_pBrUa1F_LCic6rivDwxsV_ZppS1YozeBmMbhYI
 .KO54u4nulZTCT3WJXT4M761Yl0SA9EbDZBMsReYoDvn1.VaNp.xuWtHBL3w2PL.lr5HPGR7fr7v
 GbUSLzAR3iRBElNw9JzlhIKfh_F66T5BF31DQcH9HdMfFMG2CHsIG4E721K6Z9A8A6DJrTouVBhI
 0WRJxrwu_t2Op4LRuyVB7zIp315Fa4CNPJArQZOQp
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic314.consmr.mail.ir2.yahoo.com with HTTP; Fri, 25 Dec 2020 01:31:01 +0000
Received: by smtp421.mail.ir2.yahoo.com (VZM Hermes SMTP Server) with ESMTPA
 ID a0b2c7ed7b674a9ba74df2ee2837ec14; 
 Fri, 25 Dec 2020 01:30:59 +0000 (UTC)
From: =?utf-8?Q?Daniel_Mart=C3=ADn?= <mardani29@HIDDEN>
To: "Pedro J. V. Mendes" via "Bug reports for GNU Emacs, the Swiss army
 knife of text editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#45413: Password exposure on SSH login
References: <1ef6190e-90eb-4746-8f45-8901d4aa9bd2@HIDDEN>
Date: Fri, 25 Dec 2020 02:30:57 +0100
In-Reply-To: <1ef6190e-90eb-4746-8f45-8901d4aa9bd2@HIDDEN> (Pedro
 J. V. Mendes's message of "Thu, 24 Dec 2020 23:13:41 +0000")
Message-ID: <m1ft3uhdta.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.17278
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
 Apache-HttpAsyncClient/4.1.4 (Java/11.0.8)
Content-Length: 442
Received-SPF: pass client-ip=77.238.177.146; envelope-from=mardani29@HIDDEN;
 helo=sonic314-20.consmr.mail.ir2.yahoo.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 45413 <at> debbugs.gnu.org, "Pedro J. V. Mendes" <pedro.mendes@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

"Pedro J. V. Mendes" via "Bug reports for GNU Emacs, the Swiss army
knife of text editors" <bug-gnu-emacs@HIDDEN> writes:

> Within <M-x shell>, on SSH login (e.g.) to sigma.ist.utl.pt, the
> password was
> visible during typing and recorded to history (accessible through
> M-p).

Could you paste how the OpenSSH password prompt looks like in that
system?  Perhaps we need to update comint-password-prompt-regexp to
match it appropriately.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45413; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Dec 2020 23:41:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 24 18:41:46 2020
Received: from localhost ([127.0.0.1]:56275 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ksaEq-0004L3-5Q
	for submit <at> debbugs.gnu.org; Thu, 24 Dec 2020 18:41:46 -0500
Received: from lists.gnu.org ([209.51.188.17]:33410)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pedro.mendes@HIDDEN>) id 1ksZoA-0003gA-42
 for submit <at> debbugs.gnu.org; Thu, 24 Dec 2020 18:14:11 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:38328)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pedro.mendes@HIDDEN>)
 id 1ksZo9-0003Bj-I9
 for bug-gnu-emacs@HIDDEN; Thu, 24 Dec 2020 18:14:09 -0500
Received: from smtp1.tecnico.ulisboa.pt ([193.136.128.21]:39452)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pedro.mendes@HIDDEN>)
 id 1ksZo6-0000XG-Nl
 for bug-gnu-emacs@HIDDEN; Thu, 24 Dec 2020 18:14:09 -0500
Received: from localhost (localhost.localdomain [127.0.0.1])
 by smtp1.tecnico.ulisboa.pt (Postfix) with ESMTP id 4AFF96759F48
 for <bug-gnu-emacs@HIDDEN>; Thu, 24 Dec 2020 23:13:45 +0000 (WET)
X-Virus-Scanned: by amavisd-new-2.11.0 (20160426) (Debian) at
 tecnico.ulisboa.pt
Received: from smtp1.tecnico.ulisboa.pt ([127.0.0.1])
 by localhost (smtp1.tecnico.ulisboa.pt [127.0.0.1]) (amavisd-new, port 10025)
 with LMTP id astrYECbPFL4 for <bug-gnu-emacs@HIDDEN>;
 Thu, 24 Dec 2020 23:13:42 +0000 (WET)
Received: from mail1.tecnico.ulisboa.pt (mail1.ist.utl.pt
 [IPv6:2001:690:2100:1::b3dd:b9ac])
 by smtp1.tecnico.ulisboa.pt (Postfix) with ESMTPS id 8B1DA6759F46
 for <bug-gnu-emacs@HIDDEN>; Thu, 24 Dec 2020 23:13:42 +0000 (WET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=ist.utl.pt; s=mail;
 t=1608851622; bh=AmtEmdfNOB6NAoU1p66Y239rPlLqgVTnz/7FNSwYGDM=;
 h=To:From:Subject:Date;
 b=NIouRCaKqJzMfbKsF1+mk8/rtZcfKP96Wqn46nBSAmdVJ9WyspIU1j2XbT8iFhbC0
 HGXjQwg1xHPK5G+DtU0wgKP4Yy65M9/Zy4/wIdQ4tbl6jSB6ILBzCpIY15Ea94qibS
 36zMLZZEpqJk3C0D4AzsBsLefjUMVA/02AuwMB8s=
Received: from [192.168.1.73] (145.144.115.89.rev.vodafone.pt [89.115.144.145])
 (Authenticated sender: ist136585)
 by mail1.tecnico.ulisboa.pt (Postfix) with ESMTPSA id 71E0B360352
 for <bug-gnu-emacs@HIDDEN>; Thu, 24 Dec 2020 23:13:42 +0000 (WET)
X-Priority: 2 (High)
To: bug-gnu-emacs@HIDDEN
From: "Pedro J. V. Mendes" <pedro.mendes@HIDDEN>
Subject: Password exposure on SSH login
Message-ID: <1ef6190e-90eb-4746-8f45-8901d4aa9bd2@HIDDEN>
Date: Thu, 24 Dec 2020 23:13:41 +0000
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-US
Received-SPF: pass client-ip=193.136.128.21;
 envelope-from=pedro.mendes@HIDDEN; helo=smtp1.tecnico.ulisboa.pt
X-Spam_score_int: -42
X-Spam_score: -4.3
X-Spam_bar: ----
X-Spam_report: (-4.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, RCVD_IN_DNSWL_MED=-2.3,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 24 Dec 2020 18:41:42 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Within <M-x shell>, on SSH login (e.g.) to sigma.ist.utl.pt, the 
password was
visible during typing and recorded to history (accessible through M-p).


In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.20, 
cairo version 1.16.0)
  of 2020-11-30 built on lcy01-amd64-021
Repository revision: b65eeac9613c62aaa0e4408dba8d795c07ea1f11
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Ubuntu 20.04.1 LTS

Recent messages:
C-x *  (Type ? for a list of Calc options)
Welcome to the GNU Emacs Calculator!  Press ‘?’ or ‘h’ for help, ‘q’ to quit
C-c M-p is undefined
ESC M-p is undefined
History item: 8
History item: 17 [3 times]
History item: 23
History item: 105
Mark saved where search started
~/Programs.dev
Quit
Configured using:
  'configure --prefix=/snap/emacs/current/usr --with-x-toolkit=gtk3
  --without-xaw3d --with-modules --with-cairo
  'CFLAGS=-isystem/build/emacs/parts/emacs/install/usr/include -O2'
  CPPFLAGS=-isystem/build/emacs/parts/emacs/install/usr/include
  'LDFLAGS=-L/build/emacs/parts/emacs/install/lib
  -L/build/emacs/parts/emacs/install/usr/lib
  -L/build/emacs/parts/emacs/install/lib/x86_64-linux-gnu
  -L/build/emacs/parts/emacs/install/usr/lib/x86_64-linux-gnu''

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF
ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD
JSON PDUMPER LCMS2 GMP

Important settings:
   value of $LC_CTYPE: pt_PT.UTF-8
   value of $LC_MONETARY: pt_PT.UTF-8
   value of $LC_NUMERIC: pt_PT.UTF-8
   value of $LC_TIME: pt_PT.UTF-8
   value of $LANG: en_US.UTF-8
   locale-coding-system: utf-8-unix

Major mode: Shell

Minor modes in effect:
   shell-dirtrack-mode: t
   tooltip-mode: t
   global-eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec password-cache epa derived epg epg-config
gnus-util rmail rmail-loaddefs text-property-search mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils misearch
multi-isearch shell pcomplete comint ansi-color ring calc-misc calc-menu
calc calc-loaddefs calc-macs cl-seq cl-extra help-mode seq byte-opt gv
bytecomp byte-compile cconv mule-util jka-compr info easymenu desktop
frameset time-date subr-x cl-loaddefs cl-lib tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting cairo move-toolbar gtk x-toolkit
x multi-tty make-network-process emacs)

Memory information:
((conses 16 78891 11520)
  (symbols 48 8571 1)
  (strings 32 24487 1987)
  (string-bytes 1 741438)
  (vectors 16 13491)
  (vector-slots 8 177087 12800)
  (floats 8 51 33)
  (intervals 56 970 0)
  (buffers 1000 17))





Acknowledgement sent to "Pedro J. V. Mendes" <pedro.mendes@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45413; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 27 Jan 2021 07:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.